package maca_ad;

/**
 * <p>Title: MACA_CA</p>
 * <p>Description: Middleware de Autenticao e Controle de Acesso</p>
 * <p>Copyright: Copyright (c) 2000-2004</p>
 * <p>Company: Instituto do Corao - FM.USP</p>
 * @author Gustavo Motta
 * @version 3.2.1
 */

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

public class MACA_Frame extends JFrame {

  public MACA_Frame() {
    this.enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    this.addWindowListener(new java.awt.event.WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        this_windowClosing(e);
      }
    });
    this.setTitle("MACA - Middleware de Autenticaao e Controle de Acesso - Verso "+GlobalDefinitions.VERSION);
    try {
      jbInit();
      Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
      this.setLocation((d.width - this.getSize().width) / 2, (d.height - this.getSize().height) / 2);
      this.setSize(800,600);
      this.pack();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      System.exit(0);
    }
    else if (e.getID() == WindowEvent.WINDOW_OPENED) {
      for (int n = 0; n < this.getContentPane().getComponentCount(); n++) {
       if (this.getContentPane().getComponent(n) instanceof MACA_Applet) {
         MACA_Applet applet = (MACA_Applet) this.getContentPane().getComponent(n);
         applet.userTextField.requestFocus();
       }
      }
    }
  }

  void this_windowClosing(WindowEvent e) {
    GlobalDefinitions.sa.CloseSession();
    System.gc();
    System.out.println("Saindo da aplicao ...");
  }

  private void jbInit() throws Exception {
  }


}