<%--

--%>

<%@ taglib uri="http://jakarta.apache.org/taglibs/xtags-1.0" prefix="xtags" %>
<%@ page import="java.io.*,java.util.*,java.text.*" %>
<%--
<%@ page import="javax.xml.parsers.*, org.xml.sax.*, org.w3c.dom.*, java.io.*" %>
<%@ include file="Header.jsp" %>
--%>
<jsp:useBean id="LoginID" scope="session" class="maca_bean.MacaBean" />
<jsp:useBean id="ADServer" scope="session" class="maca_ads.MacaADServer" />

<%! private String Response = "";
private int users = 0;
private int minimum = 0;
private int maximum = 20;
private int maxusers = 0;
private String temp = "";
private boolean show = false;
private boolean debug = false;
private String uid = "";
private String xslUsed = "";
private String dn = "";
%>

<%
try
{
  if (!LoginID.isValid(pageContext)) {
     %> <jsp:forward page="Login.jsp" /> <%
  }

} // fim do try
catch (Exception e)
{
  if (debug)
  {
  java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\RoleEntry_InitException.txt");
  String exception = e.toString();
  fexc.write(exception.getBytes());
  fexc.close();
  }
%> <jsp:forward page="Logout.jsp" /> <%}
%>

<%
try
{
  if (debug)
  {
    String str = "uid: "+(String)session.getAttribute("uid");
    java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\RoleEntry_uid.txt");
    fout.write(str.getBytes());
    fout.close();
  }
  uid = session.getAttribute("uid").toString();
} // fim do try
catch (Exception e)
{
  if (debug)
  {
  java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\RoleEntry_Init2Exception.txt");
  String exception = e.toString();
  fexc.write(exception.getBytes());
  fexc.close();
  }
%> <jsp:forward page="Logout.jsp" /> <%}
%>

<xtags:style xsl="xsl/RoleEntry.xsl">
<document>
<%
java.util.Date currentDate = new Date();
out.print("<date>");
java.text.SimpleDateFormat sdf = new SimpleDateFormat("dd 'de' MMMMMMMM 'de' yyyy kk:mm:ss", new Locale("pt", "BR"));
out.print(sdf.format(currentDate));
out.print("</date>");
%>

<personal>
<loginID><%=LoginID.getUserID()%></loginID>
<loginRole><%=LoginID.getUserRole()%></loginRole>
</personal>
<userdata>
<uid>
<%
if (session.getAttribute("uid")!=null)
{
out.print(session.getAttribute("uid").toString());
}
%>
</uid>
</userdata>
<%
try
{
if (session.getAttribute("roleTree") == null)
{
// primeira coisa  recuperar a rvore de papis disponveis
  /*****
<?xml version='1.0' encoding='ISO-8859-1'?>
<!--  Exemplo do padro de mensagens do MACA ADS  -->
<maca_ads version="3.1">
<!--
  Exemplo para requisio do servio para retornar a rvore de entradas no LDAP
  que agrupam usurios.
  Parmetros:
       - baseDN (Obrigatrio): especifica o DN no diretrio LDAP usado como base
                               (raiz da subrvore retornada)
       - returningFields (Opcional): lista de nomes de atributos LDAP cujos
                                     valores retornaro em cada entrada de
                                     grupo. Default ou vazio no retorna atributos
       - subTreeScope (Opcional): indica se as entradas retornadas incluiro
                                  toda a subrvore ('subtreescope'), apenas o
                                  primeiro nvel abaixo ('onelevelscope') ou
                                  o somente o nvel da entrada base ('objectscope').
                                  Default: 'objectscope'
       - members (Opcional): quando 'true', retorna os membros do grupo. Quando
                             'false', omite os membros.
                             Default: 'false'
       - indirectMembers (Opcional): quando 'true', os membros do grupo retornados
                                     incluiro tambm os membros dos subgrupos.
                                     Quando 'false', retorna apenas os membros
                                     diretos de um grupo.
                                     Default: 'false'
-->
<request action="PegarSubgrupos;Grupos;MACA"
         baseDN="cn=Usuario,cn=papeis"
         returningFields="cn"
         subTreeScope="subtreescope"
         members='false'
         indirectMembers="false">
</request>
</maca_ads>
  *****/
  String str = "";
  str += "<?xml version='1.0' encoding='ISO-8859-1'?>";
  str += "<!--  Exemplo do padro de mensagens do MACA ADS  -->";
  str += "<maca_ads version=\"3.1\">";
  str += "<!-- Exemplo Requisio de servio para o MACA ADS-->";
  str += "<request action=\"PegarSubgrupos;Grupos;MACA\" ";
  str += "baseDN=\"cn=papeis\" ";
  str += "returningFields=\"cn\" ";
  str += "subTreeScope=\"subtreescope\" ";
  str += "members='false' ";
  str += "indirectMembers=\"false\">";
  str += "</request>";
  str += "</maca_ads>";

  if (debug)
  {
  java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\RoleEntry_getAvailableRolesRequest.txt");
  fout.write(str.getBytes());
  fout.close();
  }

  Response = ADServer.executeRequest(LoginID.getCredentials(),str);
  // Response = Response.substring(44); //melhorar este mtodo
  session.setAttribute("roleTree",Response);
}
else
{
   Response = session.getAttribute("roleTree").toString();
}

  if (debug)
  {
  java.io.FileOutputStream fresp = new java.io.FileOutputStream("c:\\RoleEntry_getAvailableRolesResponse.txt");
  fresp.write(Response.getBytes());
  fresp.close();
  }
   Response = Response.substring(Response.indexOf("<maca_ads version=\"3.1\">"));
   out.print(Response);

} // fim do try
catch (Exception e)
{
  if (debug)
  {
  java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\RoleEntry_AvailableTreeException.txt");
  String exception = e.toString();
  fexc.write(exception.getBytes());
  fexc.close();
  }
%> <jsp:forward page="Logout.jsp" /> <%}
%>

<%
try
{
// a segunda coisa  executar alguma ao que o usurio requisitou (adio ou remoo de papis)
String xmlUser = "";
if (session.getAttribute("userTemplate") != null)
{
  xmlUser = session.getAttribute("userTemplate").toString();
}
else // se no tiver a template do usurio, eu recupero. Isso acontece quando altero o login.
{
  /*****
  <?xml version='1.0' encoding='ISO-8859-1'?>
  <!--  Exemplo do padro de mensagens do MACA ADS  -->
  <maca_ads version="3.1">
  <!--
  Exemplo para requisio do servio para consulta de usurios. Retorna a
  lista de usurios que satisfazem os critrios de consulta
  Parametros:
      - filter (Obrigatrio): expresso de consulta no padro LDAP. Quando for
                              vazia, retorna todos os usurios.
      - returningFields (Opcional): lista de nomes de atributos LDAP cujos
                                    valores retornaro em cada entrada de
                                    usurio cadastrado. Default ou vazio
                                    no retorna atributos
      - roles (Opcional): quando 'true', retorna os papis associados ao
                          usurio. Quando 'false', no retorna os papis.
                          Default: 'false'
      - tabbed (Opcional): quando 'true', retorna as entradas de usurios
                           agrupadas pelos 'tabs'.
                           Quando 'false', no retorna sem os 'tabs'.
                          Default: 'false'
  -->
  <request action="ConsultarUsuario;Usuarios;MACA"
        filter="uid=saitiro.nacama"
        returningFields="*"
        roles="true"
        tabbed="true">
  </request>
  </maca_ads>
  *****/
  String str = "";
  str += "<?xml version='1.0' encoding='ISO-8859-1'?>";
  str += "<!--  Exemplo do padro de mensagens do MACA ADS  -->";
  str += "<maca_ads version=\"3.1\">";
  str += "<!-- Exemplo Requisio de servio para o MACA ADS-->";
  if (session.getAttribute("uid")!=null)
  {
  str += "<request action=\"ConsultarUsuario;Usuarios;MACA\" filter=\"uid="+session.getAttribute("uid").toString()+"\" returningFields=\"*\" roles=\"true\" tabbed=\"true\"></request>";
  }
  str += "</maca_ads>";

  if (debug)
  {
  java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\RoleEntry_getEditTemplateRequest.txt");
  fout.write(str.getBytes());
  fout.close();
  }

  Response = ADServer.executeRequest(LoginID.getCredentials(),str);
  // Response = Response.substring(44); //melhorar este mtodo

   if (debug)
   {
   java.io.FileOutputStream fresp = new java.io.FileOutputStream("c:\\RoleEntry_getEditTemplateResponse.txt");
   fresp.write(Response.getBytes());
   fresp.close();
   }
   session.setAttribute("userTemplate",Response); // guardo o xml do Template
   xmlUser = Response;
}

  if (xmlUser != null)
  {
    int beginIndex = xmlUser.indexOf("<ldapentry dn=")+15;
    int endIndex = xmlUser.indexOf("\">",beginIndex);
    dn = xmlUser.substring(beginIndex,endIndex);
  }

// adio de papis
if ((request.getParameter("Adicionar") != null) && (request.getParameterValues("dn") != null))
{
  String[] values = request.getParameterValues("dn");
  String barf = "";
  if (debug)
  {
  java.io.FileOutputStream fresp = new java.io.FileOutputStream("c:\\RoleEntry_AddRoleRequests.txt");
  for (int i=0 ; i<values.length;i++)
  {
   barf += values[i];
  }
  fresp.write(barf.getBytes());
  fresp.close();
  }
/********
<?xml version='1.0' encoding='ISO-8859-1'?>
<!--  Exemplo do padro de mensagens do MACA ADS  -->
<maca_ads version="3.1">
<!--
  Exemplo de requisio do servio para atribuir um novo papel para  usurios no
  diretrio LDAP.
  Parametros: lista de elementos de usurios <user> ... </user>, cada um com a
              lista de papis para atribuir.
-->
<request action="AtribuirPapel;Usuarios;MACA">
   <user>
     <ldapentry dn="uid=pedro.calmon,ou=people,dc=incor,dc=usp,dc=br">
       <attribute name="uid">
          <value><![CDATA[pedro.calmon]]></value>
       </attribute>
     </ldapentry>
     <!-- Lista de papis para atribuir -->
     <roles>
        <ldapentry dn="cn=Bilogo,cn=Paramdico,cn=Profissional,cn=usuario,cn=papeis,ou=groups,dc=incor,dc=usp,dc=br">
        </ldapentry>
        <ldapentry dn="cn=administrador de contas estadual,cn=administrador de contas,cn=administrador,cn=papeis,ou=groups,dc=incor,dc=usp,dc=br">
        </ldapentry>
        <ldapentry dn="cn=administrador de contas de estabelecimento,cn=administrador de contas,cn=administrador,cn=papeis,ou=groups,dc=incor,dc=usp,dc=br">
        </ldapentry>
        <ldapentry dn="cn=gestor federal,cn=gestor,cn=usuarioCNES,cn=papeis,ou=groups,dc=incor,dc=usp,dc=br">
        </ldapentry>
        <ldapentry dn="cn=operador estadual,cn=operador,cn=usuarioCNES,cn=papeis,ou=groups,dc=incor,dc=usp,dc=br">
        </ldapentry>
        <ldapentry dn="cn=operador municipal,cn=operador,cn=usuarioCNES,cn=papeis,ou=groups,dc=incor,dc=usp,dc=br">
        </ldapentry>
     </roles>
   </user>
</request>
</maca_ads>
********/
  String str = "";
  str += "<?xml version='1.0' encoding='ISO-8859-1'?>";
  str += "<!--  Exemplo do padro de mensagens do MACA ADS  -->";
  str += "<maca_ads version=\"3.1\">";
  str += "<!-- Exemplo Requisio de servio para o MACA ADS-->";
  str += "<request action=\"AtribuirPapel;Usuarios;MACA\" >";
  str += "<user>";
  str += "<ldapentry dn=\""+dn+"\"> ";
  str += "<attribute name=\"uid\"> ";
  str += "<value><![CDATA["+uid+"]]></value> ";
  str += "</attribute> ";
  str += "</ldapentry>";
  str += "<roles>";
  for (int j=0; j<values.length; j++)
  {
   str += "<ldapentry dn=\""+values[j]+"\"></ldapentry>";
  }
  str += "</roles>";
  str += "</user>";
  str += "</request>";
  str += "</maca_ads>";

  if (debug)
  {
  java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\RoleEntry_addUserRolesRequest.txt");
  fout.write(str.getBytes());
  fout.close();
  }

  Response = ADServer.executeRequest(LoginID.getCredentials(),str);

   if (debug)
   {
   java.io.FileOutputStream fresp = new java.io.FileOutputStream("c:\\RoleEntry_addUserRolesResponse.txt");
   fresp.write(Response.getBytes());
   fresp.close();
   }
}
// remoo de papis
if ((request.getParameter("Remover") != null) && (request.getParameterValues("dn") != null))
{
  String[] values = request.getParameterValues("dn");
  String barf = "";
  if (debug)
  {
  java.io.FileOutputStream fresp = new java.io.FileOutputStream("c:\\RoleEntry_deleteRoleRequests.txt");
  for (int i=0 ; i<values.length;i++)
  {
   barf += values[i];
  }
  fresp.write(barf.getBytes());
  fresp.close();
  }
/********
<?xml version='1.0' encoding='ISO-8859-1'?>
<!--  Exemplo do padro de mensagens do MACA ADS  -->
<maca_ads version="3.1">
<!--
  Exemplo de requisio do servio para remover um papel de  usurios no
  diretrio LDAP.
  Parametros: lista de elementos de usurios <user> ... </user>, cada um com a
              lista de papis para remover.
-->
<request action="RemoverPapel;Usuarios;MACA">
   <user>
     <ldapentry dn="uid=pedro.calmon,ou=people,dc=incor,dc=usp,dc=br">
       <attribute name="uid">
          <value><![CDATA[pedro.calmon]]></value>
       </attribute>
     </ldapentry>
     <!-- Lista de papis para remover -->
     <roles>
        <ldapentry dn="cn=Bilogo,cn=Paramdico,cn=Profissional,cn=usuario,cn=papeis,ou=groups,dc=incor,dc=usp,dc=br">
        </ldapentry>
        <ldapentry dn="cn=administrador de contas estadual,cn=administrador de contas,cn=administrador,cn=papeis,ou=groups,dc=incor,dc=usp,dc=br">
        </ldapentry>
        <ldapentry dn="cn=administrador de contas de estabelecimento,cn=administrador de contas,cn=administrador,cn=papeis,ou=groups,dc=incor,dc=usp,dc=br">
        </ldapentry>
        <ldapentry dn="cn=gestor federal,cn=gestor,cn=usuarioCNES,cn=papeis,ou=groups,dc=incor,dc=usp,dc=br">
        </ldapentry>
        <ldapentry dn="cn=operador estadual,cn=operador,cn=usuarioCNES,cn=papeis,ou=groups,dc=incor,dc=usp,dc=br">
        </ldapentry>
        <ldapentry dn="cn=operador municipal,cn=operador,cn=usuarioCNES,cn=papeis,ou=groups,dc=incor,dc=usp,dc=br">
        </ldapentry>
     </roles>
   </user>
</request>
</maca_ads>
********/
  String str = "";
  str += "<?xml version='1.0' encoding='ISO-8859-1'?>";
  str += "<!--  Exemplo do padro de mensagens do MACA ADS  -->";
  str += "<maca_ads version=\"3.1\">";
  str += "<!-- Exemplo Requisio de servio para o MACA ADS-->";
  str += "<request action=\"RemoverPapel;Usuarios;MACA\"> ";
  str += "<user>";
  str += "<ldapentry dn=\""+dn+"\"> ";
  str += "<attribute name=\"uid\"> ";
  str += "<value><![CDATA["+uid+"]]></value> ";
  str += "</attribute> ";
  str += "</ldapentry>";
  str += "<roles>";
  for (int j=0; j<values.length; j++)
  {
   str += "<ldapentry dn=\""+values[j]+"\"></ldapentry>";
  }
  str += "</roles>";
  str += "</user>";
  str += "</request>";
  str += "</maca_ads>";

  if (debug)
  {
  java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\RoleEntry_deleteUserRolesRequest.txt");
  fout.write(str.getBytes());
  fout.close();
  }

  Response = ADServer.executeRequest(LoginID.getCredentials(),str);

   if (debug)
   {
   java.io.FileOutputStream fresp = new java.io.FileOutputStream("c:\\RoleEntry_deleteUserRolesResponse.txt");
   fresp.write(Response.getBytes());
   fresp.close();
   }
}

} // fim do try
catch (Exception e)
{
  if (debug)
  {
  java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\RoleEntry_UserActionException.txt");
  String exception = e.toString();
  fexc.write(exception.getBytes());
  fexc.close();
  }
%> <jsp:forward page="Logout.jsp" /> <%}
%>

<%
try
{
// a terceira coisa  recuperar os papis (e somente os papis) que o usurio possui
  /*****
<?xml version='1.0' encoding='ISO-8859-1'?>
<!--  Exemplo do padro de mensagens do MACA ADS  -->
<maca_ads version="3.1">
<!--
  Exemplo para requisio do servio para consulta de usurios. Retorna a
  lista de usurios que satisfazem os critrios de consulta
  Parametros:
       - filter (Obrigatrio): expresso de consulta no padro LDAP. Quando for
                               vazia, retorna todos os usurios.
       - returningFields (Opcional): lista de nomes de atributos LDAP cujos
                                     valores retornaro em cada entrada de
                                     usurio cadastrado. Default ou vazio
                                     no retorna atributos
       - roles (Opcional): quando 'true', retorna os papis associados ao
                           usurio. Quando 'false', no retorna os papis.
                           Default: 'false'
       - tabbed (Opcional): quando 'true', retorna as entradas de usurios
                            agrupadas pelos 'tabs'.
                            Quando 'false', no retorna sem os 'tabs'.
                           Default: 'false'
-->
<request action="ConsultarUsuario;Usuarios;MACA"
         filter="uid=gustavo.marques"
         returningFields="*"
         roles="true"
         tabbed="false">
</request>
</maca_ads>
  *****/
  String str = "";
  str += "<?xml version='1.0' encoding='ISO-8859-1'?>";
  str += "<!--  Exemplo do padro de mensagens do MACA ADS  -->";
  str += "<maca_ads version=\"3.1\">";
  str += "<!-- Exemplo Requisio de servio para o MACA ADS-->";
  str += "<request action=\"ConsultarUsuario;Usuarios;MACA\" ";
  str += "filter=\"uid="+uid+"\" ";
  str += "roles=\"true\">";
  str += "</request>";
  str += "</maca_ads>";

  if (debug)
  {
  java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\RoleEntry_getUserRolesRequest.txt");
  fout.write(str.getBytes());
  fout.close();
  }

  Response = ADServer.executeRequest(LoginID.getCredentials(),str);
  // Response = Response.substring(44); //melhorar este mtodo
  // preciso mudar a tag seno o XSL vai se confundir inteiro
  Response = Response.replaceAll("<maca_ads", "<maca_ads_user");
  Response = Response.replaceAll("</maca_ads", "</maca_ads_user");

   if (debug)
   {
   java.io.FileOutputStream fresp = new java.io.FileOutputStream("c:\\RoleEntry_getUserRolesResponse.txt");
   fresp.write(Response.getBytes());
   fresp.close();
   }

   Response = Response.substring(Response.indexOf("<maca_ads_user version=\"3.1\">"));
   out.print(Response);

} // fim do try
catch (Exception e)
{
  if (debug)
  {
  java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\RoleEntry_UserTreeException.txt");
  String exception = e.toString();
  fexc.write(exception.getBytes());
  fexc.close();
  }
%> <jsp:forward page="Logout.jsp" /> <%}
%>


</document>
</xtags:style>
<%--
<%@ include file="Footer.jsp" %>
--%>
