<%@ taglib uri="http://jakarta.apache.org/taglibs/xtags-1.0" prefix="xtags" %>
<%@ page import="java.io.*,java.util.*,java.text.*" %>
<%--
<%@ include file="Header.jsp" %>
--%>
<jsp:useBean id="LoginID" scope="session" class="maca_bean.MacaBean" />
<jsp:useBean id="ADServer" scope="session" class="maca_ads.MacaADServer" />
<%!
private String temp = "";
private boolean debug = false;
%>

<%
try
{
  if (!LoginID.isValid(pageContext)) {
     %> <jsp:forward page="Login.jsp" /> <%
  }

} // fim do try
catch (Exception e)
{
if (debug)
{
java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\SignUp_InitException.txt");
String exception = e.toString();
fexc.write(exception.getBytes());
fexc.close();
}
%> <jsp:forward page="Logout.jsp" /> <%}
%>


<%
try
{
/*
Aqui pode ter lixo vindo de cadastros anteriores de usurios.
Por isso, preciso limpar a sesso, deixando apenas os beans de acesso e de consulta.
*/

java.util.Enumeration eSession1 = session.getAttributeNames();
int numberKeys = 0;

while (eSession1.hasMoreElements())
{
  String key = (String)eSession1.nextElement();
  if ((!key.equalsIgnoreCase("LoginID")) && (!key.equalsIgnoreCase("ADServer")))
  {
   numberKeys++;
  }
}

java.util.Enumeration eSession2 = session.getAttributeNames();
String[] removeKeys = new String[numberKeys];
int aux=0;

while (eSession2.hasMoreElements())
{
  String key = eSession2.nextElement().toString();
  if ((!key.equalsIgnoreCase("LoginID")) && (!key.equalsIgnoreCase("ADServer")))
  {
   removeKeys[aux] = key;
   aux++;
  }
}

if(debug)
{
  String keyList = "";
  for (int z = 0; z < removeKeys.length; z++)
  {
    keyList = keyList + "Key:" + removeKeys[z] + "\r\n";
  }
  java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\SignUp_sessionKeysRemove.txt");
  fout.write(keyList.getBytes());
  fout.close();
}

for (int k = 0; k < removeKeys.length; k++)
{
  session.removeAttribute(removeKeys[k]);
}

if (debug)
{
  String output = "";
  java.util.Enumeration e = request.getParameterNames();
   while (e.hasMoreElements()) {
    String key = (String)e.nextElement();
    String[] values = request.getParameterValues(key);
    String parameters = "";
    for(int i = 0; i < values.length; i++) {
      parameters += values[i];
      }
    output += "key: "+key+", parameters: "+parameters+"\r\n";
  }
  java.io.FileOutputStream fput = new java.io.FileOutputStream("c:\\SignUp_requestParameters.txt");
  fput.write(output.getBytes());
  fput.close();

  java.util.Enumeration e2 = session.getAttributeNames();
  String sVariable = "";
  while (e2.hasMoreElements())
  {
    String atr = (String)e2.nextElement();
    String content = session.getAttribute(atr).toString();
    sVariable += "sessionvariable "+atr+" has value "+content+" ;\r\n";
  }
  java.io.FileOutputStream fput2 = new java.io.FileOutputStream("c:\\SignUp_sessionParameters.txt");
  fput2.write(sVariable.getBytes());
  fput2.close();
  }
} // fim do try
catch (Exception e)
{
if (debug)
{
java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\SignUp_ClearSessionException.txt");
String exception = e.toString();
fexc.write(exception.getBytes());
fexc.close();
}
%> <jsp:forward page="Logout.jsp" /> <%}
%>

<xtags:style xsl="xsl/SignUp.xsl">
<document>
<%
java.util.Date currentDate = new Date();
out.print("<date>");
java.text.SimpleDateFormat sdf = new SimpleDateFormat("dd 'de' MMMMMMMM 'de' yyyy kk:mm:ss", new Locale("pt", "BR"));
out.print(sdf.format(currentDate));
out.print("</date>");
%>

<personal>
<loginID><%=LoginID.getUserID()%></loginID>
<loginRole><%=LoginID.getUserRole()%></loginRole>
</personal>

<%
try
{
// consultar campos retornveis no servidor para saber quais os nomes dos campos
/*
<?xml version='1.0' encoding='ISO-8859-1'?>
<!--  Exemplo do padro de mensagens do MACA ADS  -->
<maca_ads version="3.1">
<!--
  Exemplo para requisio do servio que recupera os tipos de atributos
  resultantes de uma consulta para usurios . Retorna a
  lista dos tipos de atributos para consulta
-->
<request action="AtributosRetornoConsulta;Usuarios;MACA"></request>
</maca_ads>
*/
String Response = "";
int begin=0;
int end=0;

String str = "";
str += "<?xml version='1.0' encoding='ISO-8859-1'?>";
str += "<!--  Exemplo do padro de mensagens do MACA ADS  -->";
str += "<maca_ads version=\"3.1\">";
str += "<!-- Exemplo Requisio de servio para o MACA ADS-->";
str += "<request action=\"AtributosRetornoConsulta;Usuarios;MACA\"></request>";
str += "</maca_ads>";

if (debug)
{
java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\SignUp_returnableFieldsReq.txt");
fout.write(str.getBytes());
fout.close();
}

Response = ADServer.executeRequest(LoginID.getCredentials(),str);
// Response = Response.substring(44); //melhorar este mtodo


if (debug)
{
java.io.FileOutputStream fresp = new java.io.FileOutputStream("c:\\SignUp_returnableFieldsResp.txt");
fresp.write(Response.getBytes());
fresp.close();
}

Response = Response.substring(Response.indexOf("<maca_ads version=\"3.1\">"));

out.print("<entryFields>");
String uid = "";
String givenName = "";
String employeeNumber = "";

begin = Response.indexOf("<attribute name=\"employeenumber\"");
end = Response.indexOf("</attribute>",begin);
end += 12; // para incluir a tag de encerramento

if ((begin >= 0) && (end >= 0) && (begin < end))
{
  employeeNumber = Response.substring(begin, end);
}
else
{
  uid = "<attribute name=\"employeenumber\" displayname=\"Matrcula\" required=\"true\"></attribute>";
}

begin = Response.indexOf("<attribute name=\"givenname\"");
end = Response.indexOf("</attribute>",begin);
end += 12; // para incluir a tag de encerramento
if ((begin >= 0) && (end >= 0) && (begin < end))
{
  givenName = Response.substring(begin, end);
}
else
{
  uid = "<attribute name=\"givenname\" displayname=\"Nome Completo\" required=\"true\"></attribute>";
}

begin = Response.indexOf("<attribute name=\"uid\"");
end = Response.indexOf("</attribute>",begin);
end += 12; // para incluir a tag de encerramento
if ((begin >= 0) && (end >= 0) && (begin < end))
{
  uid = Response.substring(begin, end);
}
else
{
  uid = "<attribute name=\"uid\" displayname=\"Login\"></attribute>";
}
out.print(employeeNumber);
out.print(givenName);
out.print(uid);
out.print("</entryFields>");

if(debug)
{
  String list = "";
  list = "uid: " + uid + " / givenName: " + givenName + " / employeeNumber: " + employeeNumber;
  java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\SignUp_fields.txt");
  fout.write(list.getBytes());
  fout.close();
}


/*
<entryFields>
  <entryField name="employeeNumber" displayname="Matrcula" required="true"></entryField>
  <entryField name="givenName" displayname="Nome Completo" required="true"></entryField>
  <entryField name="uid" displayname="Login"></entryField>
</entryFields>
*/

/*
 if (debug)
 {
 java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\SignUp_entryFields.txt");
 fout.write(str.getBytes());
 fout.write(params.getBytes());
 fout.close();
 }
*/

out.print("<lookup>");
if (request.getParameter("lookupname")!=null)
{
  out.print("<lookupname>");
  out.print(request.getParameter("lookupname"));
  out.print("</lookupname>");
}

if (request.getParameter("lookupupdatefield")!=null)
{
  out.print("<lookupupdatefield>");
  out.print(request.getParameter("lookupupdatefield"));
  out.print("</lookupupdatefield>");
}

if (request.getParameter("lookupvalue")!=null)
{
  out.print("<lookupvalue>");
  out.print(request.getParameter("lookupvalue"));
  out.print("</lookupvalue>");
}

if (request.getParameter("lookupsignupname")!=null)
{
  out.print("<lookupsignupname>");
  out.print(request.getParameter("lookupsignupname"));
  out.print("</lookupsignupname>");
}

out.print("</lookup>");

/*
// o cdigo abaixo  para o Lookup
out.print("<fields>");
java.util.Enumeration eLookup = request.getParameterNames();
String lookupStr = "Lookup: \r\n";
String lookupname = "";
String lookupupdatefield = "";
String lookupdisplayfield = "";
String lookuppage = "";
String lookupnumber = "";
while (eLookup.hasMoreElements())
{
  String parName = eLookup.nextElement().toString();
  String parValue = request.getParameter(parName);
  if (parName.startsWith("lookupdata++"))
  {
    // o parName vai ser algo como lookupdata++estados++UF++Nome++endereco++2.y
    parName = parName.substring(12);
    lookupname = parName.substring(0,parName.indexOf("++"));
    parName = parName.substring(parName.indexOf("++")+2);
    lookupupdatefield = parName.substring(0,parName.indexOf("++"));
    parName = parName.substring(parName.indexOf("++")+2);
    lookupdisplayfield = parName.substring(0,parName.indexOf("++"));
    parName = parName.substring(parName.indexOf("++")+2);
    lookuppage = parName.substring(0,parName.indexOf("++"));
    parName = parName.substring(parName.indexOf("++")+2);
    lookupnumber = parName.substring(0,parName.indexOf("."));
    if (debug)
    {
      java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\SignUp_testeLookupParams.txt");
      String outLookup = "passei por aqui";
      fout.write(outLookup.getBytes());
      fout.close();
    }

  }
  else
  {
    out.print("<field>");
    out.print("<name>");
    out.print(parName);
    out.print("</name>");
    out.print("<value>");
    out.print(parValue);
    out.print("</value>");
    out.print("</field>");
  }
}
out.print("</fields>");
if (lookupname.trim().length()>0)
{
if (debug)
{
  java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\SignUp_LookupParams.txt");
  String outLookup = "lookupname length:"+  String.valueOf(lookupname.trim().length())+"\r\nlookupname:"+lookupname+"\r\nlookupupdatefield:"+lookupupdatefield+"\r\nlookupdisplayfield:"+lookupdisplayfield+"\r\nlookuppage:"+lookuppage+"\r\nlookupnumber:"+lookupnumber;
  fout.write(outLookup.getBytes());
  fout.close();
}
String jScript = "<lookupData>";
jScript += "'"+lookupname+"','"+lookupupdatefield+"','"+lookupdisplayfield+"','"+lookuppage+"','"+lookupnumber+"'";
jScript += "</lookupData>";
out.print(jScript);
}
*/
  } // fim do try
  catch (Exception e)
  {
  if (debug)
  {
  java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\SignUp_PageException.txt");
  String exception = e.toString();
  fexc.write(exception.getBytes());
  fexc.close();
  }
  %> <jsp:forward page="Logout.jsp" /> <%}
%>
</document>
</xtags:style>

<%--
<%@ include file="Footer.jsp" %>
--%>
