<%@ taglib uri="http://jakarta.apache.org/taglibs/xtags-1.0" prefix="xtags" %>
<%@ page import="java.io.*,java.util.*,java.text.*" %>
<%--
<%@ include file="Header.jsp" %>
--%>

<jsp:useBean id="LoginID" scope="session" class="maca_bean.MacaBean" />
<jsp:useBean id="ADServer" scope="session" class="maca_ads.MacaADServer" />
<%--
<jsp:useBean id="XMLBean" scope="page" class="maca_ad_web.DomTree" />
--%>
<%!
  private String Response = "";
  private boolean debug = false;
%>

<%
try
{
  if (!LoginID.isValid(pageContext)) {
     %> <jsp:forward page="Login.jsp" /> <%
  }

  if (request.getParameter("userID")!=null)
    ADServer.initMacaADServer(request.getParameter("userID"),request.getParameter("password"),
                              LoginID.getAccessDecisionObject(),
                              (new java.io.File(application.getRealPath(""))).getPath()+"/config");
} // fim do try
catch (Exception e)
{
if (debug)
{
java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\UserSubmitData_InitException.txt");
String exception = e.toString();
fexc.write(exception.getBytes());
fexc.close();
}
%> <jsp:forward page="Logout.jsp" /> <%}
%>


<%
try
{
if (debug)
{
  String xml = (String)session.getAttribute("userTemplate");
  xml += "\n uid:" + (String)session.getAttribute("uid");
  java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserSubmitData_userTemplate.txt");
  fout.write(xml.getBytes());
  fout.close();
}
} // fim do try
catch (Exception e)
{
if (debug)
{
java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\UserSubmitData_UserTemplateException.txt");
String exception = e.toString();
fexc.write(exception.getBytes());
fexc.close();
}
%> <jsp:forward page="Logout.jsp" /> <%}
%>


<xtags:style xsl="xsl/UserSubmitData.xsl">
<document>
<%
java.util.Date currentDate = new Date();
out.print("<date>");
java.text.SimpleDateFormat sdf = new SimpleDateFormat("dd 'de' MMMMMMMM 'de' yyyy kk:mm:ss", new Locale("pt", "BR"));
out.print(sdf.format(currentDate));
out.print("</date>");
%>

  <pageTitle>
  Resultado da Operao
  </pageTitle>
<%
try
{
  out.print("<returnpage>UserData.jsp</returnpage>");
//  out.print("<uid>"+uid+"</uid>");

  out.print("<personal>");
  out.print("<loginID>"+LoginID.getUserID()+"</loginID>");
//  out.print("<uid>"+uid+"</uid>");
  out.print("</personal>");

  out.print("<thispage>");
  out.print("UserSubmitData");
  out.print("</thispage>");

  out.print("<userData>");
  // implementar aqui o mecanismo de recuperao do uid do usurio para recuperar os papis
  out.print("<uid>");
  out.print((String)session.getAttribute("uid"));
  out.print("</uid>");
  out.print("</userData>");

/********************
<?xml version='1.0' encoding='ISO-8859-1'?>
<!--  Exemplo do padro de mensagens do MACA ADS  -->
<maca_ads version="3.1">
<!--
  Exemplo de requisio do servio para incluso de novos usurios no diretrio
  LDAP.
  Parametros: lista de elementos de usurios <user> ... </user> para incluir.
-->
<request action="NovoUsuario;Usuarios;MACA">
<user>
<ldapentry dn="uid=pedro.calmon,ou=people,dc=incor,dc=usp,dc=br">
<attribute name="objectclass" multivalue="true" required="true" visible="false" >
<value><![CDATA[top]]></value>
<value><![CDATA[person]]></value>
<value><![CDATA[datasuscnes]]></value>
<value><![CDATA[organization]]></value>
<value><![CDATA[inetorgperson]]></value>
<value><![CDATA[passwordobject]]></value>
<value><![CDATA[residentialperson]]></value>
<value><![CDATA[organizationalperson]]></value>
</attribute>
<tab name="identificao">
<attribute name="uid" displayname="Login" maxlen="30" required="true" >
<value><![CDATA[pedro.calmon]]></value>
</attribute>
<attribute name="givenname" displayname="Nome" maxlen="100" required="true" >
<value><![CDATA[Pedro Calmon]]></value>
</attribute>
<attribute name="cn" displayname="Prenome" maxlen="20" required="true" >
<value><![CDATA[Pedro]]></value>
</attribute>
<attribute name="sn" displayname="Sobrenome" maxlen="20" required="true" >
<value><![CDATA[Calmon]]></value>
</attribute>
<attribute name="employeenumber" displayname="CPF" maxlen="12" required="true" >
<value><![CDATA[568899356]]></value>
</attribute>
<attribute name="mail" multivalue="true" displayname="E-mail" maxlen="50" required="true" >
<value><![CDATA[pedro.calmon@uol.com.br]]></value>
</attribute>
</tab>
<tab name="dados institucionais">
<attribute name="o" multivalue="true" displayname="Instituio" maxlen="50" required="true" >
<value><![CDATA[Museu Nacional]]></value>
</attribute>
<attribute name="datasuscnesuf" multivalue="true" displayname="UF" maxlen="2" >
<value><![CDATA[CE]]></value>
</attribute>
<attribute name="datasuscnesmunicipio" multivalue="true" displayname="Municpio" maxlen="20" >
<value><![CDATA[231320]]></value>
</attribute>
<attribute name="datasuscnesestabelecimento" multivalue="true" displayname="Estabelecimento" maxlen="50" >
<value><![CDATA[santa casa]]></value>
</attribute>
<attribute name="physicaldeliveryofficename" displayname="Setor" maxlen="100" >
<value><![CDATA[]]></value>
</attribute>
<attribute name="title" displayname="Cargo" maxlen="50" >
<value><![CDATA[]]></value>
</attribute>
<attribute name="description" displayname="Observaes" maxlen="1000" >
<value><![CDATA[]]></value>
</attribute>
</tab>
<tab name="endereo">
<attribute name="street" displayname="Logradouro" maxlen="100" allowedby="residentialperson" >
<value><![CDATA[]]></value>
</attribute>
<attribute name="l" requiredby="residentialperson" displayname="Cidade" maxlen="100" >
<value><![CDATA[]]></value>
</attribute>
<attribute name="st" displayname="UF" maxlen="2" allowedby="residentialperson" >
<value><![CDATA[]]></value>
</attribute>
<attribute name="postalcode" displayname="CEP" maxlen="10" allowedby="residentialperson" >
<value><![CDATA[]]></value>
</attribute>
<attribute name="telephonenumber" multivalue="true" displayname="Telefone" maxlen="16" >
<value><![CDATA[]]></value>
</attribute>
<attribute name="mobile" multivalue="true" displayname="Celular" maxlen="16" >
<value><![CDATA[]]></value>
</attribute>
<attribute name="facsimiletelephonenumber" multivalue="true" displayname="Fax" maxlen="16" >
<value><![CDATA[]]></value>
</attribute>
</tab>
</ldapentry>
</user>
</request>
</maca_ads>
***********/
  String registerType = session.getAttribute("registerType").toString();
  String userData = "";
  userData = (String)session.getAttribute("userTemplate");
  userData =  userData.substring(userData.indexOf("<user"));
  userData =  userData.substring(0,userData.indexOf("</user")+7);
  String str = "";
  str += "<?xml version='1.0' encoding='ISO-8859-1'?>";
  str += "<!--  Exemplo do padro de mensagens do MACA ADS  -->";
  str += "<maca_ads version=\"3.1\">";
  str += "<!-- Exemplo Requisio de servio para o MACA ADS-->";
  if (registerType.equalsIgnoreCase("New"))
  {
    str += "<request action=\"NovoUsuario;Usuarios;MACA\">";
  }
  if (registerType.equalsIgnoreCase("Edit"))
  {
    str += "<request action=\"GravarUsuario;Usuarios;MACA\">";
  }
  str += userData;
  str += "</request>";
  str += "</maca_ads>";
  if (debug)
   {
     java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserSubmitData_Request.txt");
     fout.write(str.getBytes());
     fout.close();
    }

  Response = ADServer.executeRequest(LoginID.getCredentials(),str);
  Response = Response.substring(Response.indexOf("<maca_ads version=\"3.1\">"));

  if (debug)
   {
     java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserSubmitData_Return.txt");
     fout.write(Response.getBytes());
     fout.close();
    }
  out.print(Response);

  out.print("<registerType>");
  if (registerType.equalsIgnoreCase("New"))
  {
    out.print("New");
  }
  if (registerType.equalsIgnoreCase("Edit"))
  {
    out.print("Edit");
  }
  out.print("</registerType>");

String ok = "status=\"ok\"";
if (Response.indexOf(ok)>0) // se deu tudo certo
{

  //Depois de ter feito tudo, pode ter lixo vindo de cadastros anteriores de usurios.
  //Por isso, preciso limpar a sesso, deixando apenas os beans de acesso e de consulta.

  java.util.Enumeration eSession1 = session.getAttributeNames();
  int numberKeys = 0;

  while (eSession1.hasMoreElements())
  {
    String key = (String)eSession1.nextElement();
    if ((!key.equalsIgnoreCase("LoginID")) && (!key.equalsIgnoreCase("ADServer")) && (!key.equalsIgnoreCase("uid")) && (!key.equalsIgnoreCase("registerType")))
    {
     numberKeys++;
    }
  }

  java.util.Enumeration eSession2 = session.getAttributeNames();
  String[] removeKeys = new String[numberKeys];
  int aux=0;

  while (eSession2.hasMoreElements())
  {
    String key = eSession2.nextElement().toString();
    if ((!key.equalsIgnoreCase("LoginID")) && (!key.equalsIgnoreCase("ADServer")) && (!key.equalsIgnoreCase("uid")) && (!key.equalsIgnoreCase("registerType")))
    {
      removeKeys[aux] = key;
      aux++;
    }
  }

  if(debug)
  {
    String keyList = "";
    for (int z = 0; z < removeKeys.length; z++)
    {
      keyList = keyList + "Key:" + removeKeys[z] + "\r\n";
    }
    java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserSubmitData_sessionKeysRemove.txt");
    fout.write(keyList.getBytes());
    fout.close();
  }

  for (int k = 0; k < removeKeys.length; k++)
  {
    session.removeAttribute(removeKeys[k]);
  }

  if (debug)
  {
    String output = "";
    java.util.Enumeration e = request.getParameterNames();
    while (e.hasMoreElements()) {
      String key = (String)e.nextElement();
      String[] values = request.getParameterValues(key);
      String parameters = "";
      for(int i = 0; i < values.length; i++) {
        parameters += values[i];
      }
      output += "key: "+key+", parameters: "+parameters+"\r\n";
    }
    java.io.FileOutputStream fput = new java.io.FileOutputStream("c:\\UserSubmitData_requestParameters.txt");
    fput.write(output.getBytes());
    fput.close();

    java.util.Enumeration e2 = session.getAttributeNames();
    String sVariable = "";
    while (e2.hasMoreElements())
    {
      String atr = (String)e2.nextElement();
      String content = session.getAttribute(atr).toString();
      sVariable += "sessionvariable "+atr+" has value "+content+" ;\r\n";
    }
    java.io.FileOutputStream fput2 = new java.io.FileOutputStream("c:\\UserSubmitData_sessionParameters.txt");
    fput2.write(sVariable.getBytes());
    fput2.close();
  }
}

} // fim do try
catch (Exception e)
{
if (debug)
{
java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\UserSubmitData_PageException.txt");
String exception = e.toString();
fexc.write(exception.getBytes());
fexc.close();
}
%> <jsp:forward page="Logout.jsp" /> <%}
%>
</document>
</xtags:style>

<%--
<%@ include file="Footer.jsp" %>
--%>

