﻿<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" indent="no" encoding="windows-1252" omit-xml-declaration="yes"/>

  <xsl:template match="/">
    <html>
    <STYLE>
      TR.clsOdd { background-Color:  #ffffff; }
      TR.clsEven { background-color: #eeeeee; }
    </STYLE>
      <head>
      <meta http-equiv="Content-type" content="text/html; charset=windows-1252" />
        <title>Gerenciamento de Usuários do MACA</title>

     <xsl:if test="/document/thispage='UserAlterLogin'">
       <xsl:variable name="returnpage" select="/document/returnpage"/>
             <xsl:if test="/document/userData"> <!-- esse é para o UserAlterLogin -->
               <xsl:variable name="uid" select="/document/userData/uid"/>
               <xsl:for-each select="/document/maca_ads/response">
                 <xsl:variable name="status" select="@status"/>
                 <xsl:if test="$status='ok'">
                   <meta http-equiv="refresh" content="2;URL=./{$returnpage}?uid={$uid}&amp;registerType=Edit&amp;fromPage=ADMain.jsp"/>
                 </xsl:if>
               </xsl:for-each>
             </xsl:if>
     </xsl:if>
<style>
a{text-decoration:none}
.look{font:bold 10pt Arial,Arial;}
.look2{font:bold 8pt Arial,Arial;}
.folding{cursor:hand}
a:visited {color:#00aa22}
a:active {color:red}
a:link {color:blue}
a:hover{color:#005566}

#imgNormal {border:0 ; border-color:#ffffff ; background-color:#ffffff ; color:#ffffff;}
#foldheader{cursor:hand ; font-weight:bold ;
list-style-image:url(./figs/tri.gif)}
#foldinglist{list-style-image:url(./figs/tri.gif)}
</style>
      </head>
      <body>
<script type='text/javascript'>
//HV Menu- by Ger Versluis (http://www.burmees.nl/)
//Submitted to Dynamic Drive (http://www.dynamicdrive.com)
//Visit http://www.dynamicdrive.com for this script and more
function Go(){return}
</script>
<script type='text/javascript'>
/***********************************************************************************
*	(c) Ger Versluis 2000 version 5.41 24 December 2001	                   *
*	For info write to menus@burmees.nl		                           *
*	You may remove all comments for faster loading	                           *
***********************************************************************************/

        var NoOffFirstLineMenus=3;			// Number of first level items
        var LowBgColor='white';			// Background color when mouse is not over
        var LowSubBgColor='white';			// Background color when mouse is not over on subs
        var HighBgColor='black';			// Background color when mouse is over
        var HighSubBgColor='black';			// Background color when mouse is over on subs
        var FontLowColor='navy';			// Font color when mouse is not over
        var FontSubLowColor='black';			// Font color subs when mouse is not over
        var FontHighColor='white';			// Font color when mouse is over
        var FontSubHighColor='white';			// Font color subs when mouse is over
        var BorderColor='black';			// Border color
        var BorderSubColor='black';			// Border color for subs
        var BorderWidth=1;				// Border width
        var BorderBtwnElmnts=1;			// Border between elements 1 or 0
        var FontFamily="Verdana, Geneva, Arial, Helvetica, sans-serif"	// Font family menu items
        var FontSize=9;				// Font size menu items
        var FontBold=1;				// Bold menu items 1 or 0
        var FontItalic=0;				// Italic menu items 1 or 0
        var MenuTextCentered='left';			// Item text position 'left', 'center' or 'right'
        var MenuCentered='left';			// Menu horizontal position 'left', 'center' or 'right'
        var MenuVerticalCentered='top';		// Menu vertical position 'top', 'middle','bottom' or static
        var ChildOverlap=.2;				// horizontal overlap child/ parent
        var ChildVerticalOverlap=.2;			// vertical overlap child/ parent
        var StartTop=85;				// Menu offset x coordinate
        var StartLeft=600;				// Menu offset y coordinate
        var VerCorrect=0;				// Multiple frames y correction
        var HorCorrect=0;				// Multiple frames x correction
        var LeftPaddng=3;				// Left padding
        var TopPaddng=2;				// Top padding
        var FirstLineHorizontal=1;			// SET TO 1 FOR HORIZONTAL MENU, 0 FOR VERTICAL
        var MenuFramesVertical=0;			// Frames in cols or rows 1 or 0
        var DissapearDelay=1000;			// delay before menu folds in
        var TakeOverBgColor=1;			// Menu frame takes over background color subitem frame
        var FirstLineFrame='navig';			// Frame where first level appears
        var SecLineFrame='space';			// Frame where sub levels appear
        var DocTargetFrame='space';			// Frame where target documents appear
        var TargetLoc='';				// span id for relative positioning
        var HideTop=0;				// Hide first level when loading new document 1 or 0
        var MenuWrap=1;				// enables/ disables menu wrap 1 or 0
        var RightToLeft=0;				// enables/ disables right to left unfold 1 or 0
        var UnfoldsOnClick=0;			// Level 1 unfolds onclick/ onmouseover
        var WebMasterCheck=0;			// menu tree checking on or off 1 or 0
        var ShowArrow=1;				// Uses arrow gifs when 1
        var KeepHilite=1;				// Keep selected path highligthed
        var Arrws=['javascript/tri.gif',5,10,'javascript/tridown.gif',10,5,'javascript/trileft.gif',5,10];	// Arrow source, width and height

function BeforeStart(){return}
function AfterBuild(){return}
function BeforeFirstOpen(){return}
function AfterCloseAll(){return}


// Menu tree
//	MenuX=new Array(Text to show, Link, background image (optional), number of sub elements, height, width);
//	For rollover images set "Text to show" to:  "rollover:Image1.jpg:Image2.jpg"

// Menu2=new Array("Monitores","http://monitores.incor.usp.br/scripts/cgilua/cgilua.exe/siemens/default.lua?uid=<xsl:value-of select="login"/>","",0, 20, 100);

Menu1=new Array("Consultar","ADMain.jsp","",0, 20, 100);

Menu2=new Array("Usuarios","","",2,20,100);
        Menu2_1=new Array("Consultar","ADMain.jsp","",0,20,200);
        Menu2_2=new Array("Nova conta","SignUp.jsp","",0);

Menu3=new Array("Sessao","","",2,20,100);
        Menu3_1=new Array("Alterar senha","ADFirstLogin.jsp","",0,20,200);
        Menu3_2=new Array("Encerrar Sessao","Logout.jsp","",0,20,200);

</script>

<!-- <script type='text/javascript' src='javascript/multiple_pages.js'></script> -->
<script type='text/javascript' src='javascript/menu_com.js'></script>
<script type='text/javascript' src='javascript/folding_menu_tree.js'></script>
<script type='text/javascript' src='javascript/remotecontrol.js'></script>

<noscript>Your browser does not support script</noscript>

        <table border="0" cellpadding="0" cellspacing="0" width="100%" >
          <tr>
          <!--<td width="65"><p><a href="http://www.incor.usp.br"><img src="./figs/incor.jpg" border="0"/></a></p></td>-->
          <td width="674">
            <table border="0" width="100%">
              <tr>
                <td width="249" valign="bottom"><p align="right"><img src="./figs/MacaADWeb.gif" width="256" height="28" border="0"/></p></td>
              </tr>
            </table>
          </td>
          </tr>
          <tr>
            <td width="10%" height="17" align="center" bgcolor="red" bordercolor="red"><p> </p></td>
            <td width="90%" height="17" bgcolor="red" bordercolor="red"><p align="right"><small><b><font color="#ffffff" face="Helvetica, Arial, sans-serif"><xsl:value-of select="/document/date"/></font></b></small></p></td>
          </tr>
          <tr>
            <td width="10%" height="17" align="center" bgcolor="#003399" bordercolor="red"><p> </p></td>
            <td width="90%" height="17" bgcolor="#003399" bordercolor="white">
              <p align="right">
                 <small><b><font color="#ffffff" face="Helvetica, Arial, sans-serif">usuário: <xsl:value-of select="document/personal/loginID"/></font></b></small>
              </p>
            </td>
          </tr>
          <tr bgcolor="#FFFFFF">
           <td colspan = "2">
             <xsl:apply-templates select="document"/>
           </td>
          </tr>
        </table>
        <table border="0" width="100%" bgcolor="#FFFFFF">
          <tr>
            <td width="100%"><p align="center"><font size="2"><img src="./figs/default_ruler.gif" width="400" height="9" border="0"/></font></p></td>
          </tr>
          <tr>
            <td align="center">
              <FORM NAME="encerra" ACTION="Logout.jsp" METHOD="post">
                <INPUT type="submit" value="Encerrar Sessão" style="font-size: small;"/>
              </FORM>
            </td>
          </tr>
          <tr>
            <td width="100%">
              <div align="center">
                <table border="2" cellpadding="2" cellspacing="2">
                  <tr>
                    <td><p align="center">
                              <font size="2">
                                 <img src="./figs/incor.gif" border="0"/><br/>
                              </font><a href="http://www.incorhcsp.org.br">
                              <font face="Arial" size="1">Instituto do Coração</font></a><br/><font face="Arial" size="1">&#xA9; 2000-2005 Fundação Zerbini, Instituto do Coração - HCFMUSP. Todos os direitos reservados.</font></p>
                    </td>
                  </tr>
                </table>
              </div>
            </td>
          </tr>
        </table>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>