package maca_cs;

/**
 * <p>Title: MACA_CA</p>
 * <p>Description: Middleware de Autenticao e Controle de Acesso</p>
 * <p>Copyright: Copyright (c) 2000-2004</p>
 * <p>Company: Instituto do Corao - FM.USP</p>
 * @author Gustavo Motta
 * @version 3.2.1
 */

import java.io.*;
import java.net.*;
import java.util.*;

public class AuthenticateServerShutdown {

  public static int PORT = 8375;

  public static void main(String[] args) {
    try {
      Properties props = new Properties();
      props.load(new FileInputStream("maca_cs.properties"));
      String port = props.getProperty("maca_cs.service.stop.port", Integer.toString(PORT) );
      PORT = Integer.parseInt( port );
      Socket s = new Socket("127.0.0.1", PORT);
      s.close();
    }
    catch (java.net.UnknownHostException exc) {
      exc.printStackTrace();
    }
    catch (java.io.IOException exc) {
      exc.printStackTrace();
    }
  }

}