package maca_cs;

/**
 * <p>Title: MACA_CA</p>
 * <p>Description: Middleware de Autenticao e Controle de Acesso</p>
 * <p>Copyright: Copyright (c) 2000-2004</p>
 * <p>Company: Instituto do Corao - FM.USP</p>
 * @author Gustavo Motta
 * @version 3.2.1
 */

import java.util.*;
import contexts.Context;
import contexts.ContextException;

public class NetContext implements Context {

//  private com.inprise.security.ssl.Current sslCurrent = null;
  private org.omg.CORBA.ORB _orb = null;
  private org.omg.CORBA.Object _ado = null;

  public NetContext(org.omg.CORBA.ORB aOrb, org.omg.CORBA.Object aCorbaObj) {
    this._orb = aOrb;
    this._ado = aCorbaObj;
  }

  public Object getValue(String index) throws contexts.ContextException {
/*    if (this._orb != null) { try {
       sslCurrent = com.inprise.security.ssl.CurrentHelper.narrow(
                            this._orb.resolve_initial_references("SecurityCurrent"));
      if (index.equalsIgnoreCase("peer_dns")) {
         String peerAddr =  sslCurrent.getPeerAddress(this._ado);
         //System.out.println(peerAddr);
         peerAddr = peerAddr.substring(peerAddr.indexOf("addr=")+"addr=".length(), peerAddr.indexOf("/", peerAddr.indexOf("addr=")));
         //System.out.println(peerAddr);
        return peerAddr;
      }
      else if (index.equalsIgnoreCase("peer_ip")) {
         String peerAddr =  sslCurrent.getPeerAddress(this._ado);
         //System.out.println(peerAddr);
         peerAddr = peerAddr.substring(peerAddr.indexOf("/", peerAddr.indexOf("addr="))+1, peerAddr.indexOf(",", peerAddr.indexOf("/", peerAddr.indexOf("addr="))+1));
         //System.out.println(peerAddr);
        return peerAddr;
      }
      else if (index.equalsIgnoreCase("peer_port")) {
         String peerAddr =  sslCurrent.getPeerAddress(this._ado);
         //System.out.println(peerAddr);
         peerAddr = peerAddr.substring(peerAddr.indexOf("port=")+"port=".length(), peerAddr.indexOf(",", peerAddr.indexOf("port=")));
         //System.out.println(peerAddr);
        return new Integer(peerAddr);
      }
      else  if (index.equalsIgnoreCase("local_port")) {
         String peerAddr =  sslCurrent.getPeerAddress(this._ado);
         //System.out.println(peerAddr);
         peerAddr = peerAddr.substring(peerAddr.indexOf("localport=")+"localport=".length(), peerAddr.indexOf("]", peerAddr.indexOf("localport=")));
         //System.out.println(peerAddr);
        return new Integer(peerAddr);
      }
      else {
        throw new contexts.ContextException("Varivel '"+index+"' no definida no contexto 'NetContext'.");
      }
      }
      catch (org.omg.CORBA.ORBPackage.InvalidName exc) {
        throw new contexts.ContextException("Erro avaliando varivel '"+index+"'  no contexto 'NetContext': "+exc.toString());
      }
    }
    else {
      throw new contexts.ContextException("Varivel '"+index+"' indisponvel no contexto 'NetContext'.");
    }  */ throw new contexts.ContextException("Varivel '"+index+"' indisponvel no contexto 'NetContext'.");
  }

  public boolean inEvaluation(Object element, Object aSet) throws contexts.ContextException {
    throw new java.lang.UnsupportedOperationException("Method inEvaluation() not yet implemented no contexto 'NetContext'.");
  }

  public Object functionApplication(String functionName, Vector argumentList) throws contexts.ContextException {
    if (functionName.equalsIgnoreCase("is_in_domain")) {
      if (argumentList.size() >= 2) {
        StringTokenizer dns = new StringTokenizer(((String) argumentList.get(0)), ".");
        StringTokenizer domain = new StringTokenizer(((String) argumentList.get(1)), ".");
        String[] niamod = new String[domain.countTokens()];
        int k = domain.countTokens();
        while (domain.hasMoreTokens()) niamod[--k] = domain.nextToken();
        String[] snd = new String[dns.countTokens()];
        k = dns.countTokens();
        while (dns.hasMoreTokens()) snd[--k] = dns.nextToken();
        for (int n = 0; (n < snd.length) && (n < niamod.length); n++) {
          if (!niamod[n].equalsIgnoreCase(snd[n])) {
            return new Boolean(false);
          }
        }
        return new Boolean(true);
      }
      else {
        throw new ContextException("Nmero invlido de argumentos na funo '"+functionName+"' no contexto 'NetContext'.");
      }
    }
    else {
      throw new ContextException("Funo '"+functionName+"' no definida no contexto 'NetContext'.");
    }
  }

}