<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:template match="/">
    <html>
    <STYLE>
      TR.clsOdd { background-Color:  #ffffff; }
      TR.clsEven { background-color: #eeeeee; }
    </STYLE>
      <head>
        <title>Monitor de Sessões</title>
<style>
a{text-decoration:none}
.look{font:bold 10pt Arial,Arial;}
.look2{font:bold 8pt Arial,Arial;}
.folding{cursor:hand}
a:visited {color:#00aa22}
a:active {color:red}
a:link {color:blue}
a:hover{color:#005566}
</style>
      </head>
      <body>

<noscript>Your browser does not support script</noscript>

        <table border="0" cellpadding="0" cellspacing="0" width="100%" >
          <tr>
          <!--<td width="65"><p><a href="http://www.incor.usp.br"><img src="./figs/incor.jpg" border="0"/></a></p></td>-->
          <td width="674">
            <table border="0" width="100%">
              <tr>
                <td width="249" valign="bottom"><p align="right"><img src="./figs/macamonitor.gif" width="256" height="28" border="0"/></p></td>
              </tr>
            </table>
          </td>
          </tr>
          <tr>
            <td width="10%" height="17" align="center" bgcolor="red" bordercolor="red"><p> </p></td>
            <td width="90%" height="17" bgcolor="red" bordercolor="red"><p align="right"><small><b><font color="#ffffff" face="Helvetica, Arial, sans-serif"><xsl:value-of select="/document/date"/></font></b></small></p></td>
          </tr>
          <tr>
            <td width="10%" height="17" align="center" bgcolor="#003399" bordercolor="red"><p> </p></td>
            <td width="90%" height="17" bgcolor="#003399" bordercolor="white">
              <p align="right">
                 <small><b><font color="#ffffff" face="Helvetica, Arial, sans-serif"><xsl:value-of select="document/personal/loginID"/></font></b></small>
              </p>
            </td>
          </tr>
          <tr bgcolor="#FFFFFF">
           <td colspan = "2">
             <xsl:apply-templates select="document"/>
           </td>
          </tr>
        </table>
        <table border="0" width="100%" bgcolor="#FFFFFF">
          <tr>
            <td width="100%"><p align="center"><font size="2"><img src="./figs/default_ruler.gif" width="400" height="9" border="0"/></font></p></td>
          </tr>
          <tr>
            <td align="center">
              <FORM NAME="encerra" ACTION="Logout.jsp" METHOD="post">
                <INPUT type="submit" value="Encerrar Sessão" style="font-size: small;"/>
              </FORM>
            </td>
          </tr>
          <tr>
            <td width="100%">
              <div align="center">
                <table border="2" cellpadding="2" cellspacing="2">
                  <tr>
                    <td><p align="center">
                              <font size="2">
                                 <img src="./figs/incor.gif" border="0"/><br/>
                              </font><a href="http://www.incorhcsp.org.br">
                              <font face="Arial" size="1">Instituto do Coração</font></a><br/><font face="Arial" size="1">&#xA9; 2000-2005 Fundação Zerbini, Instituto do Coração - HCFMUSP. Todos os direitos reservados.</font></p>
                    </td>
                  </tr>
                </table>
              </div>
            </td>
          </tr>
        </table>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="document">
    <xsl:apply-templates select="maca_cs"/>
  </xsl:template>

  <xsl:template match="maca_cs">
    <table border = "0" align="center" CELLSPACING="15" bgcolor="#FFFFFF">
      <xsl:apply-templates select="form"/>
    </table>
    <xsl:apply-templates select="accessDenied"/>
    <xsl:apply-templates select="authFailed"/>
  </xsl:template>

  <xsl:template match="form">
    <xsl:variable name="name" select="name"/>
    <xsl:variable name="action" select="action"/>
    <xsl:variable name="method" select="method"/>
    <form name="{$name}" action="{$action}" method="{$method}">
       <TR>
          <td align="center" colspan="2"><font face="Arial"><h2><xsl:value-of select="../title"/></h2></font></td>
       </TR>
       <TR>
          <xsl:apply-templates select="user"/>
       </TR>
       <TR>
          <xsl:apply-templates select="password"/>
       </TR>
       <TR>
          <xsl:apply-templates select="combobox"/>
       </TR>
       <TR>
         <TD>
             <xsl:apply-templates select="submit"/>
         </TD>
         <TD>
             <xsl:apply-templates select="reset"/>
         </TD>
      </TR>
    </form>
  </xsl:template>

  <xsl:template match="user">
      <xsl:variable name="name" select="name"/>
      <td><font face="Arial" size = "-1">Usuário: </font></td><td><font face="Arial" size = "-1"><input TYPE="TEXT" NAME="{$name}" VALUE="" MAXLENGTH="50"/></font></td>
  </xsl:template>

  <xsl:template match="password">
      <xsl:variable name="name" select="name"/>
      <td><font face="Arial" size = "-1">Senha: </font></td><td><font face="Arial" size = "-1"><input TYPE="PASSWORD" NAME="{$name}" VALUE="" MAXLENGTH="50"/></font></td>
  </xsl:template>

  <xsl:template match="combobox">
      <td><font face="Arial" size = "-1">Servidores:</font></td>
      <td><font face="Arial" size = "-1">
      <select name="combourl" size="1">
      <xsl:for-each select="comboopt">
        <xsl:variable name="opt" select="."/>
        <option><xsl:value-of select="$opt"/></option>
      </xsl:for-each>
      </select>
      </font></td>
  </xsl:template>

  <xsl:template match="submit">
    <font face="Arial" size = "-1"><input type="submit" name="Submit" value="Enviar"/></font>
  </xsl:template>

  <xsl:template match="reset">
    <font face="Arial" size = "-1"><input type="reset" value="Limpar"/></font>
  </xsl:template>

  <xsl:template match="authFailed">
    <font face="Arial" size = "-1"><center>Erro de Autenticação: <xsl:value-of select="/document/maca_cs/authFailed"/></center></font>
    <br/>
  </xsl:template>

  <xsl:template match="accessDenied">
    <font face="Arial" size = "-1"><center>Erro de Acesso: <xsl:value-of select="/document/maca_ads/accessDenied"/></center></font>
  </xsl:template>

</xsl:stylesheet>