package contexts;

/**
 * <p>Title: MACA_CA</p>
 * <p>Description: Middleware de Autenticao e Controle de Acesso</p>
 * <p>Copyright: Copyright (c) 2000-2004</p>
 * <p>Company: Instituto do Corao - FM.USP</p>
 * @author Gustavo Motta
 * @version 3.2.1
 */

import java.util.Vector;


public interface Context {
  public Object getValue (String index) throws ContextException;
  public boolean inEvaluation(Object element, Object aSet) throws ContextException;
  public Object functionApplication(String functionName, Vector argumentList) throws ContextException;
}

