package maca_ca;

/**
 * <p>Title: MACA_CA</p>
 * <p>Description: Middleware de Autenticao e Controle de Acesso</p>
 * <p>Copyright: Copyright (c) 2000-2004</p>
 * <p>Company: Instituto do Corao - FM.USP</p>
 * @author Gustavo Motta
 * @version 3.2.1
 */

public interface PasswordFactory {
  //Mtodo chamado quando a senha do usurio  criada pela primeira
  //vez, ou sempre que ele  reinicializada (resetada) pelo administrador do contas
  //no MACA AD Web.
  //Recebe como parmetro o conjunto de atributos LDAP da conta do usurio
  //para consulta
  public byte[] getNewPassword(javax.naming.directory.Attributes attrs) throws maca_ca.PasswordErrorException;
}