package maca_ca;

/**
 * <p>Title: MACA_CA</p>
 * <p>Description: Middleware de Autenticao e Controle de Acesso</p>
 * <p>Copyright: Copyright (c) 2000-2004</p>
 * <p>Company: Instituto do Corao - FM.USP</p>
 * @author Gustavo Motta
 * @version 3.2.1
 */

import javax.naming.directory.*;

public class SimplePasswordFactory implements maca_ca.PasswordFactory {

  public SimplePasswordFactory() {
  }

  public byte[] getNewPassword(Attributes attrs) throws PasswordErrorException {
    try {
      if (attrs != null) {
        Attribute attr = attrs.get("uid");
        if ((attr != null) && (attr.get() != null)) {
          return ((String) attr.get()).getBytes();
        }
      }
      throw new PasswordErrorException("Atributos do usurio invlidos durante a gerao de nova senha");
    }
    catch (Exception exc) {
      throw new PasswordErrorException(exc.getMessage());
    }
  }

}