<%@ taglib uri="http://jakarta.apache.org/taglibs/xtags-1.0" prefix="xtags" %>
<%@ page import="javax.xml.parsers.*, org.xml.sax.*, org.w3c.dom.*, java.io.*" %>
<%@ page import="java.io.*,java.util.*,java.text.*" %>
<%--
<%@ include file="Header.jsp" %>
--%>

<jsp:useBean id="LoginID" scope="session" class="maca_bean.MacaBean" />
<jsp:useBean id="ADServer" scope="session" class="maca_ads.MacaADServer" />
<%--
<jsp:useBean id="XMLBean" scope="page" class="maca_ad_web.DomTree" />
--%>
<%!
  private String Response = "";
  private boolean debug = false;
%>

<%
try
{
  if (!LoginID.isValid(pageContext)) {
     %> <jsp:forward page="Login.jsp" /> <%
  }

} // fim do try
catch (Exception e)
{
if (debug)
{
java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\UserAlterLogin_InitException.txt");
String exception = e.toString();
fexc.write(exception.getBytes());
fexc.close();
}
%> <jsp:forward page="Logout.jsp" /> <%}
%>


<%
try
{
if (debug)
{
  String xml = (String)session.getAttribute("userTemplate");
  xml += "\n uid:" + (String)session.getAttribute("uid");
  java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserAlterLogin_userTemplate.txt");
  fout.write(xml.getBytes());
  fout.close();
}
} // fim do try
catch (Exception e)
{
if (debug)
{
java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\UserAlterLogin_UserTemplateException.txt");
String exception = e.toString();
fexc.write(exception.getBytes());
fexc.close();
}
%> <jsp:forward page="Logout.jsp" /> <%}
%>

<xtags:style xsl="xsl/UserAlterLogin.xsl">
<document>
<%
java.util.Date currentDate = new Date();
out.print("<date>");
java.text.SimpleDateFormat sdf = new SimpleDateFormat("dd 'de' MMMMMMMM 'de' yyyy kk:mm:ss", new Locale("pt", "BR"));
out.print(sdf.format(currentDate));
out.print("</date>");
%>

<%
try
{
  out.print("<personal>");
  out.print("<loginID>"+LoginID.getUserID()+"</loginID>");
//  out.print("<uid>"+uid+"</uid>");
  out.print("</personal>");
  out.print("<thispage>");
  out.print("UserAlterLogin");
  out.print("</thispage>");

  out.print("<other>");

  String userTemplate = (String)session.getAttribute("userTemplate");
  String maxlen = "";
  if (userTemplate != null)
  {
  int beginOuterIndex = userTemplate.indexOf("<attribute name=\"uid\"");
  int endOuterIndex = userTemplate.indexOf("</attribute",beginOuterIndex);
  int beginIndex = userTemplate.indexOf("maxlen=\"");
  int endIndex = userTemplate.indexOf(" ",beginIndex);
  if (beginIndex < endIndex)
    maxlen = userTemplate.substring(beginIndex+8,endIndex-1);
  }
  out.print("<uid>");
  out.print(session.getAttribute("uid").toString());
  out.print("</uid>");
  if (request.getParameter("newuid") != null)
  {
    out.print("<newuid>");
    out.print(request.getParameter("newuid"));
    out.print("</newuid>");
    //session.setAttribute("uid",request.getParameter("newuid"));
  }
  out.print("<registerType>");
  out.print(session.getAttribute("registerType").toString());
  out.print("</registerType>");
  if (!maxlen.equalsIgnoreCase(""))
  {
  out.print("<uidmaxlen>");
  out.print(maxlen);
  out.print("</uidmaxlen>");
  }

  out.print("</other>");


if (request.getParameter("NovoUid")!=null)
{
/********************
<?xml version='1.0' encoding='ISO-8859-1'?>
<!--  Exemplo do padro de mensagens do MACA ADS  -->
<maca_ads version="3.1">
<!--
  Exemplo de requisio do servio para alterar o login de usurios no
  diretrio LDAP.
  Parametros: lista de elementos de usurios <user> ... </user> para alterar
  login.
-->
<request action="AlterarLoginUsuario;Usuarios;MACA">
   <user>
     <ldapentry dn="uid=pedro.calmao,ou=people,dc=incor,dc=usp,dc=br">
       <!-- Atributo 'uid' informa o novo login -->
       <attribute name="uid">
          <value><![CDATA[pedro.calmon]]></value>
       </attribute>
     </ldapentry>
   </user>
</request>
</maca_ads>
***********/
  String xmlUser = session.getAttribute("userTemplate").toString();
  String dn = "";
  if (xmlUser != null)
  {
    int beginIndex = xmlUser.indexOf("<ldapentry dn=")+15;
    int endIndex = xmlUser.indexOf("\">",beginIndex);
    dn = xmlUser.substring(beginIndex,endIndex);
  }
  String str = "";
  str += "<?xml version='1.0' encoding='ISO-8859-1'?>";
  str += "<!--  Exemplo do padro de mensagens do MACA ADS  -->";
  str += "<maca_ads version=\"3.1\">";
  str += "<!-- Exemplo Requisio de servio para o MACA ADS-->";
  str += "<request action=\"AlterarLoginUsuario;Usuarios;MACA\">";
  str += "<user>";
  str += "<ldapentry dn=\""+dn+"\">";
  str += "<!-- Atributo 'uid' informa o novo login -->";
  str += "<attribute name=\"uid\">";
  str += "<value>";
  str += "<![CDATA["+request.getParameter("newuid")+"]]>";
  str += "</value>";
  str += "</attribute>";
  str += "</ldapentry>";
  str += "</user>";
  str += "</request>";
  str += "</maca_ads>";
  if (debug)
   {
     java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserAlterLoginData_Request.txt");
     fout.write(str.getBytes());
     fout.close();
    }

  Response = ADServer.executeRequest(LoginID.getCredentials(),str);
  Response = Response.substring(Response.indexOf("<maca_ads version=\"3.1\">"));

  if (debug)
   {
     java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserAlterLoginData_Return.txt");
     fout.write(Response.getBytes());
     fout.close();
    }
  out.print(Response);


// para o header.xsl
   if ((request.getParameter("newuid") != null)&&(Response.indexOf("status=\"ok\"")>-1))
   {
     out.print("<userData>");
     out.print("<uid>");
     out.print(request.getParameter("newuid"));
     out.print("</uid>");
     out.print("</userData>");
     out.print("<returnpage>UserData.jsp</returnpage>");
     session.setAttribute("uid",request.getParameter("newuid"));
   }



String ok = "status=\"ok\"";
if (Response.indexOf(ok)>0) // se deu tudo certo
{

  //Depois de ter feito tudo, pode ter lixo vindo de cadastros anteriores de usurios.
  //Por isso, preciso limpar a sesso, deixando apenas os beans de acesso e de consulta.

  java.util.Enumeration eSession1 = session.getAttributeNames();
  int numberKeys = 0;

  while (eSession1.hasMoreElements())
  {
    String key = (String)eSession1.nextElement();
    if ((!key.equalsIgnoreCase("LoginID")) && (!key.equalsIgnoreCase("ADServer")) && (!key.equalsIgnoreCase("uid")) && (!key.equalsIgnoreCase("registerType")))
    {
     numberKeys++;
    }
  }

  java.util.Enumeration eSession2 = session.getAttributeNames();
  String[] removeKeys = new String[numberKeys];
  int aux=0;

  while (eSession2.hasMoreElements())
  {
    String key = eSession2.nextElement().toString();
    if ((!key.equalsIgnoreCase("LoginID")) && (!key.equalsIgnoreCase("ADServer")) && (!key.equalsIgnoreCase("uid")) && (!key.equalsIgnoreCase("registerType")))
    {
      removeKeys[aux] = key;
      aux++;
    }
  }

  if(debug)
  {
    String keyList = "";
    for (int z = 0; z < removeKeys.length; z++)
    {
      keyList = keyList + "Key:" + removeKeys[z] + "\r\n";
    }
    java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserAlterLogin_sessionKeysRemove.txt");
    fout.write(keyList.getBytes());
    fout.close();
  }

  for (int k = 0; k < removeKeys.length; k++)
  {
    session.removeAttribute(removeKeys[k]);
  }

  if (debug)
  {
    String output = "";
    java.util.Enumeration e = request.getParameterNames();
    while (e.hasMoreElements()) {
      String key = (String)e.nextElement();
      String[] values = request.getParameterValues(key);
      String parameters = "";
      for(int i = 0; i < values.length; i++) {
        parameters += values[i];
      }
      output += "key: "+key+", parameters: "+parameters+"\r\n";
    }
    java.io.FileOutputStream fput = new java.io.FileOutputStream("c:\\UserAlterLogin_requestParameters.txt");
    fput.write(output.getBytes());
    fput.close();

    java.util.Enumeration e2 = session.getAttributeNames();
    String sVariable = "";
    while (e2.hasMoreElements())
    {
      String atr = (String)e2.nextElement();
      String content = session.getAttribute(atr).toString();
      sVariable += "sessionvariable "+atr+" has value "+content+" ;\r\n";
    }
    java.io.FileOutputStream fput2 = new java.io.FileOutputStream("c:\\UserAlterLogin_sessionParameters.txt");
    fput2.write(sVariable.getBytes());
    fput2.close();
  }
}

}

  out.print("<rolepage>RoleEntry.jsp</rolepage>");

} // fim do try
catch (Exception e)
{
if (debug)
{
java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\UserAlterLogin_PageException.txt");
String exception = e.toString();
fexc.write(exception.getBytes());
fexc.close();
}
%> <jsp:forward page="Logout.jsp" /> <%}
%>
</document>
</xtags:style>

<%

%>
<%--
<%@ include file="Footer.jsp" %>
--%>

