<%--
O UserData tem mais ou menos a seguinte estrutura:

- verifica qual tipo de request est vindo para ele
  - se o registerType vier como New, ento  cadastro de Novo Usurio
  - se o registerType vier como Edit, ento  alterao de usurio j existente
  - atualizo (seto) a varivel de sesso de acordo com o registerType
- se for Cadastro de Novo Usurio:
  - busca a template de cadastro de novo usurio
  - tratar erros
  - exibe a template de acordo com a "aba"
  - exibindo tambm eventuais dados armazenados na varivel de sesso
  - armazena na varivel de sesso os dados que o usurio cadastrou
  - quando o usurio clicar em cadastrar novo usurio, submeter os dados ao servidor
  - tratar erros
  - se tudo estiver bem, exibir e tratar a parte de atribuio de papis ao usurio
  - fim
- se for Edio de Usurio
  - consulta o usurio, retornando todos os campos (via wildcard *) e as tabs
  - exibe o resultado (no fundo, a template) de acordo com a "aba"
  - preencher todas as informaes retornadas na varivel de sesso
  - mostrar a parte de atribuio de papis ao usurio
  - quando o usurio clicar em gravar dados usurio, submeter os dados ao servidor
  - tratar erros
  - se tudo estiver bem, fim
--%>

<%@ taglib uri="http://jakarta.apache.org/taglibs/xtags-1.0" prefix="xtags" %>
<%@ page import="java.io.*,java.util.*,java.text.*" %>

<%--
<%@ page import="javax.xml.parsers.*, org.xml.sax.*, org.w3c.dom.*, java.io.*" %>
<%@ include file="Header.jsp" %>
--%>
<jsp:useBean id="LoginID" scope="session" class="maca_bean.MacaBean" />
<jsp:useBean id="ADServer" scope="session" class="maca_ads.MacaADServer" />
<jsp:useBean id="XMLProc" scope="page" class="XMLProc.XMLProc" />

<%
String Response = "";
int users = 0;
int minimum = 0;
int maximum = 20;
int maxusers = 0;
String temp = "";
boolean show = false;
boolean debug = false;
boolean forLookup = false;
boolean signUp = false;
%>

<%
try
{
  if (!LoginID.isValid(pageContext)) {
     %> <jsp:forward page="Login.jsp" /> <%
  }

String registerType = "";
if (request.getParameter("registerType")!=null)
{
registerType = request.getParameter("registerType");
session.setAttribute("registerType",registerType);
}
else
{
  registerType = (String)session.getAttribute("registerType");
}
  if (debug)
  {
    String str = (String)session.getAttribute("registerType");
    java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserData_registerType.txt");
    fout.write(str.getBytes());
    fout.close();
    String output = "";
    java.util.Enumeration e = request.getParameterNames();
     while (e.hasMoreElements()) {
      String key = (String)e.nextElement();
      String[] values = request.getParameterValues(key);
      String parameters = "";
      for(int i = 0; i < values.length; i++) {
        parameters += values[i];
        }
      output += "key: "+key+", parameters: "+parameters+"\r\n";
    }
    java.io.FileOutputStream fput = new java.io.FileOutputStream("c:\\UserData_requestParameters.txt");
    fput.write(output.getBytes());
    fput.close();

    java.util.Enumeration e2 = session.getAttributeNames();
    String sVariable = "";
    while (e2.hasMoreElements())
    {
      String atr = (String)e2.nextElement();
      String content = session.getAttribute(atr).toString();
      sVariable += "sessionvariable "+atr+" has value "+content+" ;\r\n";
    }
    java.io.FileOutputStream fput2 = new java.io.FileOutputStream("c:\\UserData_sessionParameters.txt");
    fput2.write(sVariable.getBytes());
    fput2.close();
  }
%>

<%
java.util.Enumeration eMulti = request.getParameterNames();
String multiValueStr = "variveis multivalorados: \r\n";
while (eMulti.hasMoreElements())
{
  String parName = eMulti.nextElement().toString();
  String parValue = "";
  if (parName.endsWith("nokazudearu"))
  {
    if (session.getAttribute(parName) != null)
    {
    parValue = session.getAttribute(parName).toString().trim();
    int value = Integer.parseInt(parValue) + 1;
    parValue = String.valueOf(value);
    }
    else
    {
      parValue="1";
    }
    session.setAttribute(parName,parValue);
    multiValueStr += "parName: "+parName+" parValue: "+parValue+"\r\n"; // para fins de debug
  }
}
if (debug)
{
  java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserData_sessionMultiValueParams.txt");
  fout.write(multiValueStr.getBytes());
  fout.close();
}
%>


<%
if ((request.getParameter("NovoUsuario")!=null)  || (request.getParameter("GravarUsuario")!=null)    || 
    (request.getParameter("AlterarLogin")!=null) || (request.getParameter("EditarPapel")!=null)      || 
    (request.getParameter("EditarSenhas")!=null) || (request.getParameter("DesbloquearConta")!=null) ||
    (request.getParameter("BloquearConta")!=null))
{
  if (debug)
  {
    String str = "Submetendo dados... NovoUsuario: " + (String)request.getParameter("NovoUsuario")+ " GravarUsuario: "+(String)request.getParameter("GravarUsuario") + "AlterarLogin: "+(String)request.getParameter("AlterarLogin") + "Editar Senhas: "+(String)request.getParameter("EditarSenhas");
    java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserData_UserSubmittedType.txt");
    fout.write(str.getBytes());
    fout.close();
  }

  // eu atualizo todas as variveis de sesso
   Response = (String)session.getAttribute("userTemplate");
   java.util.Enumeration e = request.getParameterNames();
   while (e.hasMoreElements()) {
     String key = (String)e.nextElement();
     String[] values = request.getParameterValues(key);
     String parameters = "";
     for(int i = 0; i < values.length; i++) {
       if (parameters.equalsIgnoreCase(""))
         if (values[i].equalsIgnoreCase(""))
         {
          parameters = "#blank#";
         }
         else
         {
          parameters = values[i];
         }
       else
         if (values[i].equalsIgnoreCase(""))
         {
         parameters = parameters + "<^>" + "#blank#"; // o "<^>"  o token de separao dos valores e #blank# denota caracter vazio
         }
         else
         {
           parameters = parameters + "<^>" + values[i]; // o "<^>"  o token de separao dos valores
         }
       }
     if (!key.endsWith("nokazudearu"))
     {
       session.setAttribute(key, parameters); // atualiza a varivel de sesso com os dados do usurio
     }
   }

   // atualizo a string XML
   java.util.Enumeration e2 = session.getAttributeNames();
   int count = 0;
   while (e2.hasMoreElements())
   {
     String key = (String)e2.nextElement();
     String value = session.getAttribute(key).toString();
     String xml = (String)session.getAttribute("userTemplate");
     if ((!key.equalsIgnoreCase("userTemplate"))&&(!key.equalsIgnoreCase("page"))&&(!key.equalsIgnoreCase("objectclass")))
     {
      String correctedXML = XMLProc.updateXML(xml,key,value,forLookup);
      session.setAttribute("userTemplate",correctedXML);
     }
   }

   if (debug)
   {
     String str = "XML: \r\n" + (String)session.getAttribute("userTemplate");
     java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserData_UserSubmittedXML.txt");
     fout.write(str.getBytes());
     fout.close();
   }

   if ((request.getParameter("NovoUsuario")!=null)||(request.getParameter("GravarUsuario")!=null))
   {%> <jsp:forward page="UserSubmitData.jsp" /><%
   }
   if (request.getParameter("AlterarLogin")!=null)
   {%> <jsp:forward page="UserAlterLogin.jsp" /><%
   }
   if (request.getParameter("EditarPapel")!=null)
   {%> <jsp:forward page="RoleEntry.jsp" /><%
   }
   if (request.getParameter("EditarSenhas")!=null)
   {%> <jsp:forward page="UserPasswordManage.jsp" /><%
   }
   if (request.getParameter("BloquearConta")!=null)
   {
     session.setAttribute("lockAccount", "true");
     %> <jsp:forward page="LockUnlockUserAccount.jsp?" /><%
   }
   else if (request.getParameter("DesbloquearConta")!=null) 
     session.setAttribute("lockAccount", "false");
   {%> <jsp:forward page="LockUnlockUserAccount.jsp" /><%
   }
}
%>

<xtags:style xsl="xsl/UserData.xsl">
<document>
<%
java.util.Date currentDate = new Date();
out.print("<date>");
java.text.SimpleDateFormat sdf = new SimpleDateFormat("dd 'de' MMMMMMMM 'de' yyyy kk:mm:ss", new Locale("pt", "BR"));
out.print(sdf.format(currentDate));
out.print("</date>");
%>

<personal>
<loginID><%=LoginID.getUserID()%></loginID>
<loginRole><%=LoginID.getUserRole()%></loginRole>
</personal>

<%
// o cdigo abaixo  para o Lookup
java.util.Enumeration eLookup = request.getParameterNames();
String lookupStr = "Lookup: \r\n";
String lookupname = "";
String lookupupdatefield = "";
String lookupdisplayfield = "";
String lookuppage = "";
String lookupnumber = "";
while (eLookup.hasMoreElements())
{
  String parName = eLookup.nextElement().toString();
  String parValue = "";
  if (parName.startsWith("lookupdata++"))
  {
    // o parName vai ser algo como lookupdata++estados++UF++Nome++endereco++2.y
    parName = parName.substring(12);
    lookupname = parName.substring(0,parName.indexOf("++"));
    parName = parName.substring(parName.indexOf("++")+2);
    lookupupdatefield = parName.substring(0,parName.indexOf("++"));
    parName = parName.substring(parName.indexOf("++")+2);
    lookupdisplayfield = parName.substring(0,parName.indexOf("++"));
    parName = parName.substring(parName.indexOf("++")+2);
    lookuppage = parName.substring(0,parName.indexOf("++"));
    parName = parName.substring(parName.indexOf("++")+2);
    lookupnumber = parName.substring(0,parName.indexOf("."));
    forLookup = true;
    if (debug)
    {
      java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserData_testeLookupParams.txt");
      String outLookup = "passei por aqui";
      fout.write(outLookup.getBytes());
      fout.close();
    }

  }
}
if (debug)
{
  java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserData_LookupParams.txt");
  String outLookup = "forLookup: " + String.valueOf(forLookup)+ "lookupname length:"+  String.valueOf(lookupname.trim().length())+"\r\nlookupname:"+lookupname+"\r\nlookupupdatefield:"+lookupupdatefield+"\r\nlookupdisplayfield:"+lookupdisplayfield+"\r\nlookuppage:"+lookuppage+"\r\nlookupnumber:"+lookupnumber;
  fout.write(outLookup.getBytes());
  fout.close();
}
if (lookupname.trim().length()>0)
{
if (debug)
{
  java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserData_LookupParams2.txt");
  String outLookup = "lookupname length:"+  String.valueOf(lookupname.trim().length())+"\r\nlookupname:"+lookupname+"\r\nlookupupdatefield:"+lookupupdatefield+"\r\nlookupdisplayfield:"+lookupdisplayfield+"\r\nlookuppage:"+lookuppage+"\r\nlookupnumber:"+lookupnumber;
  fout.write(outLookup.getBytes());
  fout.close();
}
String jScript = "<lookupData>";
jScript += "'"+lookupname+"','"+lookupupdatefield+"','"+lookupdisplayfield+"','"+lookuppage+"','"+lookupnumber+"'";
jScript += "</lookupData>";
out.print(jScript);
}
%>


<%

registerType = (String)session.getAttribute("registerType");
if (debug)
{
String[] output = request.getParameterValues("page");
String str = output == null? "registerType: "+ registerType+", attribute page: null" : "registerType: "+ registerType+", attribute page: " + output[0];
java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserData_getAttributePage.txt");
fout.write(str.getBytes());
fout.close();
}

if (registerType.equalsIgnoreCase("New"))
  // se for um novo usurio e estiver acessando esta pgina pela primeira vez
{

if((session.getAttribute("page")==null)||((String)session.getAttribute("userTemplate")==null))
{

  //Pode ter lixo vindo de cadastros anteriores de usurios.
  //Por isso, preciso limpar a sesso, deixando apenas os beans de acesso e de consulta.

  java.util.Enumeration eSession1 = session.getAttributeNames();
  int numberKeys = 0;

  while (eSession1.hasMoreElements())
  {
    String key = (String)eSession1.nextElement();
    if ((!key.equalsIgnoreCase("LoginID")) && (!key.equalsIgnoreCase("ADServer")) && (!key.equalsIgnoreCase("uid")) && (!key.equalsIgnoreCase("registerType")))
    {
     numberKeys++;
    }
  }

  java.util.Enumeration eSession2 = session.getAttributeNames();
  String[] removeKeys = new String[numberKeys];
  int aux=0;

  while (eSession2.hasMoreElements())
  {
    String key = eSession2.nextElement().toString();
    if ((!key.equalsIgnoreCase("LoginID")) && (!key.equalsIgnoreCase("ADServer")) && (!key.equalsIgnoreCase("uid")) && (!key.equalsIgnoreCase("registerType")))
    {
      removeKeys[aux] = key;
      aux++;
    }
  }

  if(debug)
  {
    String keyList = "";
    for (int z = 0; z < removeKeys.length; z++)
    {
      keyList = keyList + "Key:" + removeKeys[z] + "\r\n";
    }
    java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserData_sessionKeysRemove.txt");
    fout.write(keyList.getBytes());
    fout.close();
  }

  for (int k = 0; k < removeKeys.length; k++)
  {
    session.removeAttribute(removeKeys[k]);
  }

    java.util.Enumeration e2 = session.getAttributeNames();
    String sVariable = "";
    while (e2.hasMoreElements())
    {
      String atr = (String)e2.nextElement();
      String content = session.getAttribute(atr).toString();
      sVariable += "sessionvariable "+atr+" has value "+content+" ;\r\n";
    }
    

  if (debug)
  {
  java.io.FileOutputStream fput2 = new java.io.FileOutputStream("c:\\UserData_sessionParameters_clean.txt");
  fput2.write(sVariable.getBytes());
  fput2.close();
  
  String str = "pgina New, page == null";
  java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserData_userTemplateNewNull.txt");
  fout.write(str.getBytes());
  fout.close();
  }
  /*****
   <?xml version='1.0' encoding='ISO-8859-1'?>
   <!--  Exemplo do padro de mensagens do MACA ADS  -->
   <maca_ads version="3.1">
   <!--
    Exemplo de requisio do servio para obteno de um template XML para um novo
    usurio.
    Parametros:
       - employeenumber (Obrigatrio): chave primria para identificao nica
                                       do usurio a ser cadastrado. Tipicamente,
                                       o CPF, matrcula na instituio ou outro
                                       cdigo.
       - givenname (Obrigatrio): nome completo do usurio.
       - uid (Opcional): nome para login do usurio. Deve ser uma chave primria
                         para usurios no LDAP, fazendo parte do DN. Quando
                         omitido, o template retornado criar uma sugesto para
                        o uid com base no primeiro e ltimo nome do usurio.
    -->
    <request action="NovoUsuarioTemplate;Usuarios;MACA"
         employeenumber="56889933400" givenname="Srgio Buarque de Hollanda">
    </request>
    </maca_ads>
  *****/
  String str = "";
  str += "<?xml version='1.0' encoding='ISO-8859-1'?>";
  str += "<!--  Exemplo do padro de mensagens do MACA ADS  -->";
  str += "<maca_ads version=\"3.1\">";
  str += "<!-- Exemplo Requisio de servio para o MACA ADS-->";
  if (request.getParameter("uid")!=null)
  {
  str += "<request action=\"NovoUsuarioTemplate;Usuarios;MACA\" employeenumber=\""+request.getParameter("employeenumber")+"\" givenname=\""+request.getParameter("givenname")+"\" uid=\""+request.getParameter("uid")+"\"></request>";
  }
  else
  {
    str += "<request action=\"NovoUsuarioTemplate;Usuarios;MACA\" employeenumber=\""+request.getParameter("employeenumber")+"\" givenname=\""+request.getParameter("givenname")+"\"></request>";
  }
  str += "</maca_ads>";

  if (debug)
  {
  java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserData_getTemplateRequest.txt");
  fout.write(str.getBytes());
  fout.close();
  }

  Response = ADServer.executeRequest(LoginID.getCredentials(),str);
  // Response = Response.substring(44); //melhorar este mtodo

   if (debug)
   {
   java.io.FileOutputStream fresp = new java.io.FileOutputStream("c:\\UserData_getTemplateResponse.txt");
   fresp.write(Response.getBytes());
   fresp.close();
   }

   if (Response.indexOf("<user>") > 0) // se retornar a template do usurio
   {
   session.setAttribute("userTemplate",Response); // guardo o xml do Template
   }

   Response = Response.substring(Response.indexOf("<maca_ads version=\"3.1\">"));
   out.print(Response);
   signUp = true;

 }
 else
   // se for um novo usurio e NO estiver acessando esta pgina pela primeira vez
 {
   if (debug)
   {
   String str = "pgina New, page != null";
   java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserData_userTemplateNewNotNull.txt");
   fout.write(str.getBytes());
   fout.close();
   }

 // eu atualizo todas as variveis de sesso
  Response = (String)request.getAttribute("userTemplate");
  java.util.Enumeration e = request.getParameterNames();
  while (e.hasMoreElements()) {
    String key = (String)e.nextElement();
    String[] values = request.getParameterValues(key);
    String parameters = "";
    for(int i = 0; i < values.length; i++) {
      if (parameters.equalsIgnoreCase(""))
        if (values[i].equalsIgnoreCase(""))
        {
         parameters = "#blank#";
        }
        else
        {
         parameters = values[i];
        }
      else
        if (values[i].equalsIgnoreCase(""))
        {
        parameters = parameters + "<^>" + "#blank#"; // o "<^>"  o token de separao dos valores e #blank# denota caracter vazio
        }
        else
        {
          parameters = parameters + "<^>" + values[i]; // o "<^>"  o token de separao dos valores
        }
       }
       if (!key.endsWith("nokazudearu"))
       {
         session.setAttribute(key, parameters); // atualiza a varivel de sesso com os dados do usurio
       }
  }


  if (debug)
  {
  java.util.Enumeration edebug = session.getAttributeNames();
  String fileName = "c:\\UserData_userTemplateAttributes.txt";
  String str = "Atributos da sesso:\r\n";
  while (edebug.hasMoreElements())
  {
    String keydebug = (String)edebug.nextElement();
    String valuedebug = session.getAttribute(keydebug).toString();
    str += "key = " + keydebug + ", valuedebug = " + valuedebug + " \r\n ";
  }
  java.io.FileOutputStream fout = new java.io.FileOutputStream(fileName);
  fout.write(str.getBytes());
  fout.close();
  }

  // atualizo a string XML
  java.util.Enumeration e2 = session.getAttributeNames();
  int count = 0;
  while (e2.hasMoreElements())
  {
    String key = (String)e2.nextElement();
    String value = session.getAttribute(key).toString();
    String xml = (String)session.getAttribute("userTemplate");
    String correctedXML = XMLProc.updateXML(xml,key,value,forLookup);
    session.setAttribute("userTemplate",correctedXML);
    if (debug)
    {
    String fileName = "c:\\UserData_userTemplateFilled" + String.valueOf(count) +".txt";
    String str = "XML novo";
    str += "key = " + key + ", value = " + value + " \r\n "+correctedXML;
    java.io.FileOutputStream fout = new java.io.FileOutputStream(fileName);
    fout.write(str.getBytes());
    fout.close();
    }
  }
  Response = (String)session.getAttribute("userTemplate");
  Response = Response.substring(Response.indexOf("<maca_ads version=\"3.1\">"));
   // depois disso, eu simplesmente imprimo o XML e o XSL faz a parte esttica.
   out.print(Response);
  signUp = true;

 }
}

if (signUp)
{
  out.print("<signup>signUp</signup>");
}
///////////////////////////////////////////////////////////////////

if (registerType.equalsIgnoreCase("Edit"))
   // se for para alterar os dados do usurio e estiver acessando esta pgina pela primeira vez
 {
  String fromPage = request.getParameter("fromPage");
  boolean editCondition = false;
  if (fromPage != null)
  {
    editCondition = request.getParameter("fromPage").equalsIgnoreCase("ADMain.jsp");
  }

if((session.getAttribute("page")==null)||editCondition)
{

  //Pode ter lixo vindo de cadastros anteriores de usurios.
  //Por isso, preciso limpar a sesso, deixando apenas os beans de acesso e de consulta.

  java.util.Enumeration eSession1 = session.getAttributeNames();
  int numberKeys = 0;

  while (eSession1.hasMoreElements())
  {
    String key = (String)eSession1.nextElement();
    if ((!key.equalsIgnoreCase("LoginID")) && (!key.equalsIgnoreCase("ADServer")) && (!key.equalsIgnoreCase("uid")) && (!key.equalsIgnoreCase("registerType")))
    {
     numberKeys++;
    }
  }

  java.util.Enumeration eSession2 = session.getAttributeNames();
  String[] removeKeys = new String[numberKeys];
  int aux=0;

  while (eSession2.hasMoreElements())
  {
    String key = eSession2.nextElement().toString();
    if ((!key.equalsIgnoreCase("LoginID")) && (!key.equalsIgnoreCase("ADServer")) && (!key.equalsIgnoreCase("uid")) && (!key.equalsIgnoreCase("registerType")))
    {
      removeKeys[aux] = key;
      aux++;
    }
  }

  if(debug)
  {
    String keyList = "";
    for (int z = 0; z < removeKeys.length; z++)
    {
      keyList = keyList + "Key:" + removeKeys[z] + "\r\n";
    }
    java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserData_sessionKeysRemove.txt");
    fout.write(keyList.getBytes());
    fout.close();
  }

  for (int k = 0; k < removeKeys.length; k++)
  {
    session.removeAttribute(removeKeys[k]);
  }

    java.util.Enumeration e2 = session.getAttributeNames();
    String sVariable = "";
    while (e2.hasMoreElements())
    {
      String atr = (String)e2.nextElement();
      String content = session.getAttribute(atr).toString();
      sVariable += "sessionvariable "+atr+" has value "+content+" ;\r\n";
    }
    if (debug)
    {
    java.io.FileOutputStream fput2 = new java.io.FileOutputStream("c:\\UserData_sessionParameters_clean.txt");
    fput2.write(sVariable.getBytes());
    fput2.close();
    }


   if (debug)
   {
   String str = "pgina Edit, page == null";
   java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserData_userTemplateEditNull.txt");
   fout.write(str.getBytes());
   fout.close();
   }

   /*****
   <?xml version='1.0' encoding='ISO-8859-1'?>
   <!--  Exemplo do padro de mensagens do MACA ADS  -->
   <maca_ads version="3.1">
   <!--
   Exemplo para requisio do servio para consulta de usurios. Retorna a
   lista de usurios que satisfazem os critrios de consulta
   Parametros:
       - filter (Obrigatrio): expresso de consulta no padro LDAP. Quando for
                               vazia, retorna todos os usurios.
       - returningFields (Opcional): lista de nomes de atributos LDAP cujos
                                     valores retornaro em cada entrada de
                                     usurio cadastrado. Default ou vazio
                                     no retorna atributos
       - roles (Opcional): quando 'true', retorna os papis associados ao
                           usurio. Quando 'false', no retorna os papis.
                           Default: 'false'
       - tabbed (Opcional): quando 'true', retorna as entradas de usurios
                            agrupadas pelos 'tabs'.
                            Quando 'false', no retorna sem os 'tabs'.
                           Default: 'false'
   -->
   <request action="ConsultarUsuario;Usuarios;MACA"
         filter="uid=saitiro.nacama"
         returningFields="*"
         roles="true"
         tabbed="true">
   </request>
   </maca_ads>
   *****/
   String str = "";
   str += "<?xml version='1.0' encoding='ISO-8859-1'?>";
   str += "<!--  Exemplo do padro de mensagens do MACA ADS  -->";
   str += "<maca_ads version=\"3.1\">";
   str += "<!-- Exemplo Requisio de servio para o MACA ADS-->";
   if (request.getParameter("uid")!=null)
   {
   str += "<request action=\"ConsultarUsuario;Usuarios;MACA\" filter=\"uid="+XMLProc.converttoChars(request.getParameter("uid"))+"\" returningFields=\"*\" roles=\"true\" tabbed=\"true\"></request>";
   }
   str += "</maca_ads>";

   if (debug)
   {
   java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserData_getEditTemplateRequest.txt");
   fout.write(str.getBytes());
   fout.close();
   }

   Response = ADServer.executeRequest(LoginID.getCredentials(),str);
   // Response = Response.substring(44); //melhorar este mtodo

    if (debug)
    {
    java.io.FileOutputStream fresp = new java.io.FileOutputStream("c:\\UserData_getEditTemplateResponse.txt");
    fresp.write(Response.getBytes());
    fresp.close();
    }
    session.setAttribute("userTemplate",Response); // guardo o xml do Template

    Response = Response.substring(Response.indexOf("<maca_ads version=\"3.1\">"));
    Response = XMLProc.converttoChars(Response);

    out.print(Response);
  }
else
    // se for para alterar os dados do usurio e NO estiver acessando esta pgina pela primeira vez
  {
    if (debug)
    {
    String str = "pgina Edit, page != null, forLookup = " + String.valueOf(forLookup);
    java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserData_userTemplateEditNotNull.txt");
    fout.write(str.getBytes());
    fout.close();
    }

    // eu atualizo todas as variveis de sesso
     Response = (String)request.getAttribute("userTemplate");
     java.util.Enumeration e = request.getParameterNames();
     while (e.hasMoreElements()) {
       String key = (String)e.nextElement();
       String[] values = request.getParameterValues(key);
       String parameters = "";
       for(int i = 0; i < values.length; i++) {
         if (parameters.equalsIgnoreCase(""))
           if (values[i].equalsIgnoreCase(""))
           {
            parameters = "#blank#";
           }
           else
           {
            parameters = values[i];
           }
         else
           if (values[i].equalsIgnoreCase(""))
           {
           parameters = parameters + "<^>" + "#blank#"; // o "<^>"  o token de separao dos valores e #blank# denota caracter vazio
           }
           else
           {
             parameters = parameters + "<^>" + values[i]; // o "<^>"  o token de separao dos valores
           }
       }
       if (!key.endsWith("nokazudearu"))
       {
         session.setAttribute(key, parameters); // atualiza a varivel de sesso com os dados do usurio
       }
     }


     if (debug)
     {
     java.util.Enumeration edebug = session.getAttributeNames();
     String fileName = "c:\\UserData_userTemplateAttributes.txt";
     String str = "Atributos da sesso:\r\n";
     while (edebug.hasMoreElements())
     {
       String keydebug = (String)edebug.nextElement();
       String valuedebug = session.getAttribute(keydebug).toString();
       str += "key = " + keydebug + ", valuedebug = " + valuedebug + " \r\n ";
     }
     java.io.FileOutputStream fout = new java.io.FileOutputStream(fileName);
     fout.write(str.getBytes());
     fout.close();
     }

     // atualizo a string XML
     java.util.Enumeration e2 = session.getAttributeNames();
     int count = 0;
     while (e2.hasMoreElements())
     {
       String key = (String)e2.nextElement();
       String value = session.getAttribute(key).toString();
       String xml = (String)session.getAttribute("userTemplate");
       if (forLookup)
       {
         if (debug)
         {
         String fileName = "c:\\UserData_lookUpTRUE.txt";
         String str = "forLookup = " + String.valueOf(forLookup) + "\r\n";
         java.io.FileOutputStream fout = new java.io.FileOutputStream(fileName);
         fout.write(str.getBytes());
         fout.close();
         }
       String correctedXML = XMLProc.updateXML(xml,key,value,true);
       session.setAttribute("userTemplate",correctedXML);
       }
       else
       {
         String correctedXML = XMLProc.updateXML(xml,key,value,false);
         session.setAttribute("userTemplate",correctedXML);
       }
       if (debug)
       {
       String fileName = "c:\\UserData_userTemplateFilled" + String.valueOf(count) +".txt";
       String str = "XML novo forLookup = " + String.valueOf(forLookup) + "\r\n";
       str += (String)session.getAttribute("userTemplate");
       java.io.FileOutputStream fout = new java.io.FileOutputStream(fileName);
       fout.write(str.getBytes());
       fout.close();
       }
     }
     Response = (String)session.getAttribute("userTemplate");
     Response = Response.substring(Response.indexOf("<maca_ads version=\"3.1\">"));
      // depois disso, eu simplesmente imprimo o XML e o XSL faz a parte esttica.
     Response = XMLProc.converttoChars(Response);
     out.print(Response);
 }
 }
%>

<%
// este cdigo  para armazenar a pgina atual em que o usurio est
// foi desenvolvido para que a pgina JSP permita a submisso dos dados,
// ao mesmo tempo em que controla qual pgina o usurio est
java.util.Enumeration eParams = request.getParameterNames();
boolean newPage = true;
while ((eParams.hasMoreElements()) && (newPage))
{
  String name = eParams.nextElement().toString();
  String[] values = request.getParameterValues(name);
  for (int i = 0; i < values.length; i++)
  {
   if (values[i].equalsIgnoreCase("Adicionar mais um valor")) // tem que ser igual ao label do boto!
   {
      newPage = false;
      break;
   }
  }
  if (name.startsWith("lookupdata++")) // tem que ser igual ao incio do nome do request de lookup!
  {
     newPage = false;
     break;
  }

}
if (newPage) // se for pgina nova, eu atualizo a varivel de sesso
{
  if (request.getParameter("page")!= null)
    {
    session.setAttribute("page",request.getParameter("page"));
   }
  else if (session.getAttribute("page") == null)
  {
  session.setAttribute("page","identificacao"); // ver se pode ser no hard-coded
  }
}

String dispPage = "";
dispPage += "<currentPage>";
dispPage += session.getAttribute("page").toString();
dispPage += "</currentPage>";
out.print(dispPage);
if (debug)
  {
  java.io.FileOutputStream fresp = new java.io.FileOutputStream("c:\\UserData_pageinSession.txt");
  fresp.write(dispPage.getBytes());
  fresp.close();
  }
%>


<%
// este cdigo  para saber se  Cadastro de Novo Usurio ou Edio de Usurio Existente
  if (registerType.equalsIgnoreCase("New")) {
    out.print("<registerType>");
    out.print("New");
    out.print("</registerType>");
  }
  if (registerType.equalsIgnoreCase("Edit")) {
    out.print("<registerType>");
    out.print("Edit");
    out.print("</registerType>");
    out.print("<alterLogin>");
    out.print("UserAlterLogin.jsp");
    out.print("</alterLogin>");
  }

%>

<counts>
<%
// este cdigo  para mostrar mais de um campo, se necessrio
  String counting = "";
  java.util.Enumeration eNames = request.getParameterNames();
  while (eNames.hasMoreElements())
  {
    String Name = eNames.nextElement().toString();
    if (Name.endsWith("nokazudearu"))
    {
      out.print("<countname>");
      out.print(Name);
      out.print("</countname>");
      counting += Name;
    }
  }
  if (debug)
  {
    java.io.FileOutputStream fresp = new java.io.FileOutputStream("c:\\UserData_CountingAttributes.txt");
    fresp.write(counting.getBytes());
    fresp.close();
  }
%>
</counts>

<userdata>
<uid>
<%
if (session.getAttribute("userTemplate")!=null)
{
String userTemplate = session.getAttribute("userTemplate").toString();
if (userTemplate.indexOf("<attribute name=\"uid\"")>-1)
{
  String uid = userTemplate.substring(userTemplate.indexOf("<attribute name=\"uid\""));
  uid = uid.substring(uid.indexOf("<![CDATA")+8);
  uid = uid.substring(uid.indexOf("[")+1);
  uid = uid.substring(0,uid.indexOf("]]></value>"));
  uid = XMLProc.converttoChars(uid);
  out.print(uid);
}
}
%>
</uid>
</userdata>

<lookup>
<%
if (request.getParameter("lookupname")!=null)
{
  out.print("<lookupname>");
  out.print(request.getParameter("lookupname"));
  out.print("</lookupname>");
}
%>

<%
if (request.getParameter("lookupupdatefield")!=null)
{
  out.print("<lookupupdatefield>");
  out.print(request.getParameter("lookupupdatefield"));
  out.print("</lookupupdatefield>");
}
%>
<%
if (request.getParameter("lookupvalue")!=null)
{
  out.print("<lookupvalue>");
  out.print(request.getParameter("lookupvalue"));
  out.print("</lookupvalue>");
}
%>
<%
if (request.getParameter("lookupnumber")!=null)
{
  out.print("<lookupnumber>");
  out.print(request.getParameter("lookupnumber"));
  out.print("</lookupnumber>");
}
%>
</lookup>
</document>
</xtags:style>

<%
  if (debug)
  {
    String output = "";
    java.util.Enumeration e = request.getParameterNames();
     while (e.hasMoreElements()) {
      String key = (String)e.nextElement();
      String[] values = request.getParameterValues(key);
      String parameters = "";
      for(int i = 0; i < values.length; i++) {
        parameters += values[i];
        }
      output += "key: "+key+", parameters: "+parameters+"\r\n";
    }
    java.io.FileOutputStream fput = new java.io.FileOutputStream("c:\\UserData_requestParametersFinal.txt");
    fput.write(output.getBytes());
    fput.close();

    java.util.Enumeration e2 = session.getAttributeNames();
    String sVariable = "";
    while (e2.hasMoreElements())
    {
      String atr = (String)e2.nextElement();
      String content = session.getAttribute(atr).toString();
      sVariable += "sessionvariable "+atr+" has value "+content+" ;\r\n";
    }
    java.io.FileOutputStream fput2 = new java.io.FileOutputStream("c:\\UserData_sessionParametersFinal.txt");
    fput2.write(sVariable.getBytes());
    fput2.close();
  }
} // fim do try
catch (Exception e)
{
if (debug)
{
java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\UserData_Exception.txt");
String exception = e.toString();
fexc.write(exception.getBytes());
fexc.close();
}
%> <jsp:forward page="Logout.jsp" /> <%}
%>
<%--
<%@ include file="Footer.jsp" %>
--%>
