<?xml version='1.0' ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="header.xsl"/>

<xsl:template match="document">
<font face="Arial" size = "-1"><h3>Consultar</h3></font>
<table border="0" width="100%" bgcolor="#FFFFFF">
<form action="ADMain.jsp" method="post">
<tr>
<td>
  <br/>
</td>
</tr>
<tr>
<td>
<xsl:choose>
<xsl:when test="/document/searchParameters/keyValue">
<xsl:variable name="keyField" select="/document/searchParameters/keyValue"/>
<font face="Arial" size = "-1">Busca por: <xsl:apply-templates select="searchFields"/>   
      <input type="text" name="keyValue" value="{$keyField}"/> 
      em
      <select name="searchAccountType">
        <option value="*"><font size="-1" face="Arial">todas as contas</font></option>
        <option value="unlocked"><font size="-1" face="Arial">contas desbloqueadas</font></option>
        <option value="locked"><font size="-1" face="Arial">contas bloqueadas</font></option>
      </select>
      <INPUT type="checkbox" name="NoWildcard" value="true">
      Busca exata
      </INPUT>
</font>
</xsl:when>
<xsl:otherwise>
<font face="Arial" size = "-1">Busca por: <xsl:apply-templates select="searchFields"/>   
      <input type="text" name="keyValue"/> 
      em
      <select name="searchAccountType">
        <option value="*"><font size="-1" face="Arial">todas as contas</font></option>
        <option value="unlocked"><font size="-1" face="Arial">contas desbloqueadas</font></option>
        <option value="locked"><font size="-1" face="Arial">contas bloqueadas</font></option>
      </select>
      <INPUT type="checkbox" name="NoWildcard" value="true">
      Busca exata
      </INPUT>
</font>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
<tr>
<td>
<font face="Arial" size = "-1"><INPUT type="submit" value="Pesquisar"/>&#xa0;&#xa0;<INPUT type="reset" value="Limpar"/></font>
</td>
</tr>
<tr>
<td>
</td>
</tr>
<tr>
<td>
  <xsl:apply-templates select="returnFields"/>
</td>
</tr>
</form>
<tr>
<td>
<xsl:if test="maca_ads">
  <xsl:apply-templates select="maca_ads"/>
</xsl:if>
</td>
</tr>
<tr>
<td>
<xsl:if test="maca_ads/response/user">
<xsl:apply-templates select="pages"/>
</xsl:if>
</td>
</tr>
</table>
</xsl:template>


  <xsl:template match="maca_ads">
    <xsl:choose>
    <xsl:when test="./response/user">
       <hr/>
        <form action="KillUser.jsp" method="post">
          <TABLE Border = "0" Cellspacing = "0" Cellpadding = "2" Width = "100%" bgcolor="#FFFFFF">
            <xsl:apply-templates select="response"/>
          </TABLE>
          <br clear="all"/>
          <INPUT type="submit" value="Remover Usuário(s)"/>
        </form>
      <br/>
    </xsl:when>
    <xsl:otherwise>
       <hr/>
       <br clear="all"/>
       <font face="Arial" size = "-1"><b>A pesquisa realizada não retornou nenhum resultado.</b></font>
    </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="response">
    <xsl:variable name="min" select="/document/pages/min"/>
    <xsl:variable name="max" select="/document/pages/max"/>
    <xsl:variable name="sorting" select="/document/orderBy/Field"/>

    <!--
    Min response: <xsl:value-of select="$min"/>
    Max response: <xsl:value-of select="$max"/>
    -->

      <xsl:for-each select="user">
          <xsl:sort select="ldapentry/attribute[@name=$sorting]/value"/>
          <xsl:if test="position() &gt;= $min and position() &lt;= $max">
          <!-- preciso de um tratamento especial para a primeira linha-->
          <xsl:choose>
          <xsl:when test="position()=1 or position()=$min">
          <!-- para a primeira linha eu pego os titulos-->
          <tr class="clsEven">
              <th><font face="Arial" size = "-1">Remover Usuário</font></th>
              <xsl:if test="roles">
                <th><font face="Arial" size = "-1">Papéis</font></th>
              </xsl:if>
            <xsl:for-each select="ldapentry/attribute">
              <xsl:variable name="searchParameters" select="/document/searchParameters/Value"/>
              <xsl:variable name="orderField" select="@name"/>
              <th><a href="ADMain.jsp?orderBy={$orderField}&amp;{$searchParameters}"><font face="Arial" size = "-1"><xsl:value-of select="@displayname"/></font></a></th>
            </xsl:for-each>
          </tr>
          <tr bgcolor="white">
            <xsl:apply-templates select="ldapentry" mode="user"/>
          </tr>
          </xsl:when>
          <xsl:otherwise>
          <tr>
            <xsl:choose>
              <xsl:when test="position() mod 2 = 1">
                <xsl:attribute name="class">clsOdd</xsl:attribute>
              </xsl:when>
              <xsl:otherwise>
                <xsl:attribute name="class">clsEven</xsl:attribute>
              </xsl:otherwise>
            </xsl:choose>
            <xsl:apply-templates select="ldapentry" mode="user"/>
          </tr>
          </xsl:otherwise>
          </xsl:choose>
          </xsl:if>
      </xsl:for-each>
  </xsl:template>

  <xsl:template match="ldapentry" mode="user">
      <xsl:variable name="ldapdn" select="@dn"/>
      <xsl:variable name="ldapuid" select="./attribute[@name='uid']/value"/>
      <xsl:variable name="ldapdata" select="concat($ldapuid,'/',$ldapdn)"/>
      <xsl:variable name="searchParameters" select="/document/searchParameters/Value"/>
      <td align="center" width="7%">
           <INPUT type="hidden" name="searchParameters" value="{$searchParameters}"></INPUT>
           <INPUT type="checkbox" name="ldapdata" value="{$ldapdata}"></INPUT>
      </td>
      <xsl:if test="../roles">
      <td width="25%">
           <xsl:apply-templates select="../roles"/>
      </td>
      </xsl:if>
      <xsl:for-each select="attribute">
        <xsl:variable name="displayname" select="@displayname"/>
        <xsl:choose>
        <xsl:when test="count(value) &gt; 1">
          <td align="center">
          <ul>
            <li id="foldheader"><a/><a/><!-- NÃO RETIRAR essas duas tags <a/>! Se tirar, pára de funcionar no IE!--><font face="Arial" size = "-1">Dados de <xsl:value-of select="$displayname"/></font></li>
            <ul id="foldinglist" style="display:none;&amp;{head};">
                <xsl:for-each select="value">
                    <xsl:variable name="value" select="."/>
                    <li>
                      <font face="Arial" size = "-1"><xsl:value-of select="$value"/></font>
                    </li>
                 </xsl:for-each>
             </ul>
           </ul>
           </td>
        </xsl:when>
        <xsl:otherwise>
           <td align="center">
           <xsl:variable name="attrName" select="@name"/>
           <xsl:choose>
             <xsl:when test="$attrName = 'uid'">
               <xsl:variable name="accountLocked" select="../../@accountLocked"/>
               <xsl:choose>
                  <xsl:when test="$accountLocked = 'true'">
                    <font face="Arial" size = "-1"><a href="UserData.jsp?uid={$ldapuid}&amp;registerType=Edit&amp;fromPage=ADMain.jsp"><xsl:value-of select="value"/><font face="Arial" color="red" size = "-2"> (<i>bloqueada</i>) </font></a></font>
                  </xsl:when>
                <xsl:otherwise>
                   <font face="Arial" size = "-1"><a href="UserData.jsp?uid={$ldapuid}&amp;registerType=Edit&amp;fromPage=ADMain.jsp"><xsl:value-of select="value"/></a></font>
               </xsl:otherwise>
               </xsl:choose>
             </xsl:when>
             <xsl:otherwise>
               <font face="Arial" size = "-1"><a href="UserData.jsp?uid={$ldapuid}&amp;registerType=Edit&amp;fromPage=ADMain.jsp"><xsl:value-of select="value"/></a></font>
           </xsl:otherwise>
           </xsl:choose>           
           </td>
        </xsl:otherwise>
        </xsl:choose>
      </xsl:for-each>
  </xsl:template>

    <xsl:template match="pages">
 <!--
<xsl:variable name="numrows" select="20"/>
<xsl:variable name="numusers" select="count(./maca_cs/response/user)"/>
<xsl:variable name="aux" select="$numusers div $numrows"/>
<xsl:choose>
  <xsl:when test="$aux>0">
    <xsl:choose>
    <xsl:when test="$numusers mod $numrows = 0">
      <xsl:variable name="numpages" select="$aux"/>
    </xsl:when>
    <xsl:otherwise>
      <xsl:variable name="numpages" select="$aux+1"/>
    </xsl:otherwise>
    </xsl:choose>
  </xsl:when>
  <xsl:otherwise>
  <xsl:variable name="numpages" select="1"/>
  </xsl:otherwise>
</xsl:choose>
 -->
 <TABLE bgcolor="#FFFFFF" Width="100%" Cellpadding="0" Cellspacing="0" Border="0">
    <xsl:variable name="min" select="min"/>
    <xsl:variable name="max" select="max"/>
    <xsl:variable name="numberusers" select="numberusers"/>
 <tr>
    <td align="left" Width="25%">
    <xsl:if test="./previouspage">
      <xsl:apply-templates select="previouspage"/>
    </xsl:if>
    </td>
    <td align="center" Width="50%">
    <font face="Arial" size = "-1">Mostrando usuários: <xsl:value-of select="min"/> a <xsl:value-of select="max"/> de <xsl:value-of select="numberusers"/></font>
    </td>
    <td align="right" Width="25%">
    <xsl:if test="./nextpage">
      <xsl:apply-templates select="nextpage"/>
    </xsl:if>
    </td>
 </tr>
 </TABLE>
  </xsl:template>

    <xsl:template match="previouspage">
      <xsl:variable name="pagemin" select="pagemin"/>
      <xsl:variable name="pagemax" select="pagemax"/>
      <xsl:variable name="searchParameters" select="/document/searchParameters/Value"/>
      <font face="Arial" size = "-1"><a href="ADMain.jsp?min={$pagemin}&amp;max={$pagemax}&amp;{$searchParameters}">&lt;&lt; Página Anterior</a></font>
    </xsl:template>
    <xsl:template match="nextpage">
      <xsl:variable name="pagemin" select="pagemin"/>
      <xsl:variable name="pagemax" select="pagemax"/>
      <xsl:variable name="searchParameters" select="/document/searchParameters/Value"/>
       <font face="Arial" size = "-1"><a href="ADMain.jsp?min={$pagemin}&amp;max={$pagemax}&amp;{$searchParameters}">Página Seguinte &gt;&gt;</a></font>
    </xsl:template>

  <xsl:template match="searchFields">
    <select name="keyField">
    <xsl:for-each select="response/attribute">
      <xsl:variable name="name" select="@name"/>
      <xsl:variable name="value" select="@displayname"/>
      <option value="{$name}"><font face="Arial" size = "-1"><xsl:value-of select="$value"/></font></option>
    </xsl:for-each>
    </select>
  </xsl:template>

<!--
http://www.w3.org/TR/REC-html40/interact/forms.html#checkbox
-->

  <xsl:template match="returnFields">
    <input type="hidden" name="returnFields" value="uid"/>
    <ul>
      <li id="foldheader"><a/><a/><!-- NÃO RETIRAR essas duas tags <a/>! Se tirar, pára de funcionar no IE!-->
         <font face="Arial" size = "-1">Campos para retornar:</font>
      </li>
      <ul id="foldinglist" style="display:none;&amp;{head};">
      <xsl:for-each select="response/attribute">
         <xsl:variable name="name" select="@name"/>
         <xsl:variable name="value" select="@displayname"/>
         <xsl:if test="$name != 'uid'">
           <li>
              <xsl:choose>
              <xsl:when test="/document/returnedFields/returnedField">
                <xsl:for-each select="/document/returnedFields/returnedField">
                  <xsl:variable name="returnedFieldValue" select="value"/>
                  <xsl:choose>
                  <xsl:when test="$returnedFieldValue = $name">
                    <input type="checkbox" name="returnFields" value="{$name}" checked="true"><font face="Arial" size = "-1"><xsl:value-of select="$value"/></font></input>
                  </xsl:when>
                  <xsl:otherwise>
                    <input type="checkbox" name="returnFields" value="{$name}"><font face="Arial" size = "-1"><xsl:value-of select="$value"/></font></input>
                  </xsl:otherwise>
                  </xsl:choose>
                </xsl:for-each>
              </xsl:when>
              <xsl:otherwise>
                 <input type="checkbox" name="returnFields" value="{$name}"><font face="Arial" size = "-1"><xsl:value-of select="$value"/></font></input>
              </xsl:otherwise>
              </xsl:choose>
           </li>
         </xsl:if>
      </xsl:for-each>
      <li>
        <xsl:choose>
        <xsl:when test="/document/returnedFields/otherField">
           <xsl:for-each select="/document/returnedFields/otherField">
              <xsl:variable name="returnedFieldValue" select="value"/>
              <xsl:choose>
              <xsl:when test="$returnedFieldValue = 'roles'">
                <input type="checkbox" name="roles" checked="true"><font face="Arial" size = "-1">Papéis do Usuário</font></input>
              </xsl:when>
              <xsl:otherwise>
                <input type="checkbox" name="roles"><font face="Arial" size = "-1">Papéis do Usuário</font></input>
              </xsl:otherwise>
              </xsl:choose>
           </xsl:for-each>
        </xsl:when>
        <xsl:otherwise>
            <input type="checkbox" name="roles"><font face="Arial" size = "-1">Papéis do Usuário</font></input>
        </xsl:otherwise>
        </xsl:choose>
      </li>
      </ul>
    </ul>
  </xsl:template>

 <xsl:template match="roles">
       <xsl:choose>
      <xsl:when test="count(ldapentry) &gt; 1">
        <ul>
          <li id="foldheader"><a/><a/><!-- NÃO RETIRAR essas duas tags <a/>! Se tirar, pára de funcionar no IE!--><font face="Arial" size = "-1">Papéis do Usuário</font></li>
          <ul id="foldinglist" style="display:none;&amp;{head};">
              <xsl:for-each select="ldapentry">
                  <xsl:variable name="rolename" select="attribute/value"/>
                  <li>
                    <font face="Arial" size = "-1"><xsl:value-of select="$rolename"/></font>
                  </li>
               </xsl:for-each>
           </ul>
         </ul>
      </xsl:when>
      <xsl:otherwise>
          <xsl:for-each select="ldapentry">
            <xsl:variable name="rolename" select="attribute/value"/>
               <font face="Arial" size = "-1"><xsl:value-of select="$rolename"/></font>
          </xsl:for-each>
      </xsl:otherwise>
      </xsl:choose>
  </xsl:template>

</xsl:stylesheet>


