package org.omg.maca_cs.DfResourceAccessDecision;


/**
 *	Generated from IDL definition of interface "AccessDecision"
 *	@author JacORB IDL compiler 
 */

public class _AccessDecisionStub
	extends org.omg.CORBA.portable.ObjectImpl
	implements org.omg.maca_cs.DfResourceAccessDecision.AccessDecision
{
	private String[] ids = {"IDL:omg.org/DfResourceAccessDecision/AccessDecision:1.0","IDL:omg.org/CORBA/Object:1.0"};
	public String[] _ids()
	{
		return ids;
	}

	public final static java.lang.Class _opsClass = org.omg.maca_cs.DfResourceAccessDecision.AccessDecisionOperations.class;
	public boolean[] multiple_access_allowed(org.omg.maca_cs.DfResourceAccessDecision.AccessDefinition[] access_requests, org.omg.maca_cs.Security.SecAttribute[] attribute_list) throws org.omg.maca_cs.DfResourceAccessDecision.InternalError
	{
		while(true)
		{
		if(! this._is_local())
		{
			org.omg.CORBA.portable.InputStream _is = null;
			try
			{
				org.omg.CORBA.portable.OutputStream _os = _request( "multiple_access_allowed", true);
				org.omg.maca_cs.DfResourceAccessDecision.AccessDefinitionListHelper.write(_os,access_requests);
				org.omg.maca_cs.DfResourceAccessDecision.AttributeListHelper.write(_os,attribute_list);
				_is = _invoke(_os);
				boolean[] _result = org.omg.maca_cs.DfResourceAccessDecision.BooleanListHelper.read(_is);
				return _result;
			}
			catch( org.omg.CORBA.portable.RemarshalException _rx ){}
			catch( org.omg.CORBA.portable.ApplicationException _ax )
			{
				String _id = _ax.getId();
				if( _id.equals("IDL:omg.org/DfResourceAccessDecision/InternalError:1.0"))
				{
					throw org.omg.maca_cs.DfResourceAccessDecision.InternalErrorHelper.read(_ax.getInputStream());
				}
				else 
					throw new RuntimeException("Unexpected exception " + _id );
			}
			finally
			{
				this._releaseReply(_is);
			}
		}
		else
		{
			org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke( "multiple_access_allowed", _opsClass );
			if( _so == null )
				throw new org.omg.CORBA.UNKNOWN("local invocations not supported!");
			AccessDecisionOperations _localServant = (AccessDecisionOperations)_so.servant;
			boolean[] _result;			try
			{
			_result = _localServant.multiple_access_allowed(access_requests,attribute_list);
			}
			finally
			{
				_servant_postinvoke(_so);
			}
			return _result;
		}

		}

	}

	public boolean access_allowed(org.omg.maca_cs.DfResourceAccessDecision.ResourceName resource_name, java.lang.String operation, org.omg.maca_cs.Security.SecAttribute[] attribute_list) throws org.omg.maca_cs.DfResourceAccessDecision.InternalError
	{
		while(true)
		{
		if(! this._is_local())
		{
			org.omg.CORBA.portable.InputStream _is = null;
			try
			{
				org.omg.CORBA.portable.OutputStream _os = _request( "access_allowed", true);
				org.omg.maca_cs.DfResourceAccessDecision.ResourceNameHelper.write(_os,resource_name);
				_os.write_string(operation);
				org.omg.maca_cs.DfResourceAccessDecision.AttributeListHelper.write(_os,attribute_list);
				_is = _invoke(_os);
				boolean _result = _is.read_boolean();
				return _result;
			}
			catch( org.omg.CORBA.portable.RemarshalException _rx ){}
			catch( org.omg.CORBA.portable.ApplicationException _ax )
			{
				String _id = _ax.getId();
				if( _id.equals("IDL:omg.org/DfResourceAccessDecision/InternalError:1.0"))
				{
					throw org.omg.maca_cs.DfResourceAccessDecision.InternalErrorHelper.read(_ax.getInputStream());
				}
				else 
					throw new RuntimeException("Unexpected exception " + _id );
			}
			finally
			{
				this._releaseReply(_is);
			}
		}
		else
		{
			org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke( "access_allowed", _opsClass );
			if( _so == null )
				throw new org.omg.CORBA.UNKNOWN("local invocations not supported!");
			AccessDecisionOperations _localServant = (AccessDecisionOperations)_so.servant;
			boolean _result;			try
			{
			_result = _localServant.access_allowed(resource_name,operation,attribute_list);
			}
			finally
			{
				_servant_postinvoke(_so);
			}
			return _result;
		}

		}

	}

}
